package org.modelgen.importexport.Import;

/**This class represents a Source from which we import a schema.
 * A schema can have various Source; an XMLSchema cuold be stored in a File 
 * or in a DBMS with XML capabilites. We use this class to wrap the different sources
 * 
 * @version 0.9
 * 
 */
public class Source<T> {
	//the source of Type T
	private T source;
	
	/**Creates a Source of che type given
	 * @param source a source of any kind 
	 */
	public Source(T source){
		this.source=source;
	}
	
	/**Return the source stored
	 */
	public T getSource(){
		return this.source;
	}
}
