package org.modelgen.importexport.dialog;

import java.awt.Dimension;
import java.awt.Frame;

import javax.swing.JDialog;


/** 
 * Classe astratta perch IEDialog nasce per essere esclusivamente estesa
 */
public abstract class IEDialog extends JDialog{
	
	public IEDialog(Frame owner, String title, boolean modal){
		super(owner,title,modal);
		Dimension dim = this.getToolkit().getScreenSize();
		double screenWidth = dim.getWidth();
		double screenHeight = dim.getHeight();
		double width = screenWidth/4;
		double height = screenHeight/5.5;
		double thisX = (screenWidth-width)/2;
		double thisY = (screenHeight-height)/2;
		this.setBounds((int)thisX,(int)thisY,(int)width,(int)height);
	}

}

