/**
 * 
 */
package org.modelgen.importexport.persistence;

import org.modelgen.importexport.utilities.PersistenceException;


/**
 * @author LordofDeceits
 *
 */
public class ConnectionFactory {
	public static final int DB2=1;
	public static final int ORACLE=2;
	//ecc..
	
	public static DbConnection getConnection(int db,String dbName,String server,int port,
			String username, String password, String schema) throws PersistenceException {
		DbConnection con=null;
		switch (db) {
		case DB2:
			con=new DB2Connection(dbName,server,port,username,password,schema);
			break;
//		case ORACLE:
//			con=new OracleConnection(dbName,server,port,username,password,schema);
//			break;
		}		
		return con;		
	}

}
