/**
 * 
 */
package org.modelgen.importexport.utilities;

import org.modelgen.importexport.persistence.ImportExportPersistence;

import javax.swing.table.AbstractTableModel;

/**
 * @author LordofDeceits
 *
 */
public class ExportTableModel extends AbstractTableModel {
	private static final long serialVersionUID = 1L;
	
	private String[] columnNames = { "OID","Schema Name","Model","Istanza" };
	private String[][] data;
	
	public ExportTableModel() {
		data=ImportExportPersistence.getInstance().loadExportSchemas();
	}

	//tutti questi fissi
	public int getColumnCount() {
		return columnNames.length;
	}
	
	public String getColumnName(int col) {
        return columnNames[col];
    }

	public int getRowCount() {
		return data.length;
	}

	public String getValueAt(int arg0, int arg1) {
		if(data[arg0][arg1]!=null)
			return data[arg0][arg1];
		else 
			return "Inesistente";
	}
}
