package org.modelgen.importexport.utilities;

import javax.xml.stream.XMLStreamReader;

/**Filters all element that are not START_ELEMENT or END_ELEMENT.
 * Nothing more :)
 * 
 * @version 0.9
 * 
 */
public class XmlSchemaFilter implements javax.xml.stream.StreamFilter{

	/**During XmlSchema import accepts only START_ELEMENT or END_ELEMENT
	 * @see javax.xml.stream.StreamFilter#accept(javax.xml.stream.XMLStreamReader)
	 */
	public boolean accept(XMLStreamReader reader) {
		if (reader.isStartElement() || reader.isEndElement()) {
			return true;
		}
		else return false;
	}
}
