/*
 * Action listener for panel rules 
 */
package org.modelgen.jpf.applyRules.apply;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * @author  gabriele  Action listener for panel rules
 */
class ActionListenerRules implements ActionListener {
	// Reference to the class to listen
	private PanelRules pnlRules;
	
	/**
	 * Class constructor
	 * @param pnlRules The reference to the class to listen
	 */
	protected ActionListenerRules(PanelRules pnlRules) {
		super();
		this.pnlRules = pnlRules;
	}

	public void actionPerformed(ActionEvent e) {
		if(e.getSource() == this.pnlRules.btnAdd) 
			this.pnlRules.moveToUserList();
		else if(e.getSource() == this.pnlRules.btnAddAll)
			this.pnlRules.addAllRules();
		else if(e.getSource() == this.pnlRules.btnRemove) 
			this.pnlRules.moveToList();
		else if(e.getSource() == this.pnlRules.btnRemoveAll)
			this.pnlRules.removeAllRules();
		else if(e.getSource() == this.pnlRules.btnUp)
			this.pnlRules.moveUp();
		else if(e.getSource() == this.pnlRules.btnDown)
			this.pnlRules.moveDown();
		else if(e.getSource() == this.pnlRules.btnExecute)
			this.pnlRules.applyRules();
		else if(e.getSource() == this.pnlRules.btnGenerateInstanceRules)
			this.pnlRules.generateInstanceRules();
	}
}