/**
 * 
 */
package org.modelgen.jpf.applyRules.apply;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

/**
 * @author paolo
 *
 */
public class ItemListenerRules implements ItemListener {
	
	private PanelRules pnlRules;

	/**
	 * @param pnlRules
	 */
	public ItemListenerRules(PanelRules pnlRules) {
		super();
		this.pnlRules = pnlRules;
	}

	/* (non-Javadoc)
	 * @see java.awt.event.ItemListener#itemStateChanged(java.awt.event.ItemEvent)
	 */
	public void itemStateChanged(ItemEvent e) {
		if (e.getItemSelectable() == this.pnlRules.chkboxApplyToInstanceToo) {
			
			if (this.pnlRules.getChkboxApplyToInstanceToo()) 
				this.pnlRules.pnlInstance.switchOnOff(true);				
			else 
				this.pnlRules.pnlInstance.switchOnOff(false);				
		}
	}

}
