/*
 * This class implements a key listener for PanelInfo 
 */
package org.modelgen.jpf.applyRules.apply;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

/**
 * @author  gabriele  This class implements a key listener for PanelInfo
 */
class KeyListenerPanelInfo implements KeyListener {
	// References to the class to listen
	private PanelInfo pnlInfo;
	
	/**
	 * Class constructor
	 * @param pnlInfo The references to class to listen
	 */
	protected KeyListenerPanelInfo(PanelInfo pnlInfo) {
		this.pnlInfo = pnlInfo;
	}

	public void keyPressed(KeyEvent e) {
		if(e.getKeyCode() == KeyEvent.VK_BACK_SPACE) {
			if (this.pnlInfo.txtTraslated.getText().equals(PanelInfo.TXT_DEFAULT))
			this.pnlInfo.txtTraslated.setText("");
		}
	}

	public void keyReleased(KeyEvent e) {
	}

	public void keyTyped(KeyEvent arg0) {
	}
}