/*
 * Mouse listener for panel rules 
 */
package org.modelgen.jpf.applyRules.apply;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

/**
 * @author  gabriele  Mouse listener for panel rules
 */
class MouseListenerPanelInfo implements MouseListener {
	// References to class to listen
	private PanelInfo pnlInfo;
	
	/**
	 * Class constructor
	 * @param pnlInfo The reference to the class to listen
	 */
	protected MouseListenerPanelInfo(PanelInfo pnlInfo) {
		super();
		this.pnlInfo = pnlInfo;
	}

	public void mouseClicked(MouseEvent e) {
	}

	public void mouseEntered(MouseEvent arg0) {
	}

	public void mouseExited(MouseEvent e) {
	}

	public void mousePressed(MouseEvent e) {
		if(e.getSource() == this.pnlInfo.txtTraslated) {
			if(e.getButton() == MouseEvent.BUTTON1)
				if (pnlInfo.txtTraslated.getText().equals(PanelInfo.TXT_DEFAULT))
					this.pnlInfo.txtTraslated.setText("");
		}
	}

	public void mouseReleased(MouseEvent arg0) {
	}
}