/*
 * Mouse listener for panel rules 
 */
package org.modelgen.jpf.applyRules.apply;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JTextField;

/**
 * @author  gabriele  Mouse listener for panel rules
 */
class MouseListenerPanelInstance implements MouseListener {
	// References to class to listen
	private PanelInstance pnlInstance;
	
	protected MouseListenerPanelInstance(PanelInstance pnlInstance) {
		super();
		this.pnlInstance = pnlInstance;
	}

	public void mouseClicked(MouseEvent e) {
	}

	public void mouseEntered(MouseEvent arg0) {
	}

	public void mouseExited(MouseEvent e) {
	}

	public void mousePressed(MouseEvent e) {
		
		JTextField txt = null;
		
		if(e.getSource() instanceof JTextField) {
			txt = (JTextField)e.getSource();
		
			if(e.getButton() == MouseEvent.BUTTON1) {
				if (txt.getText().equals(PanelInstance.TXT_DEFAULT) && pnlInstance.getIsEnabled())
					txt.setText("");
			}
		}
		
	}

	public void mouseReleased(MouseEvent arg0) {
	}
}