/*
 * Mouse listener for panel rules 
 */
package org.modelgen.jpf.applyRules.apply;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

/**
 * @author  gabriele  Mouse listener for panel rules
 */
class MouseListenerRules implements MouseListener {
	// References to class to listen
	private PanelRules pnlRules;
	
	/**
	 * Class constructor
	 * @param pnlRules The reference to the class to listen
	 */
	protected MouseListenerRules(PanelRules pnlRules) {
		super();
		this.pnlRules = pnlRules;
	}
	
	/**
	 * Class constructor
	 * @param pnlInfo The reference to the class to listen
	 */
	protected MouseListenerRules() {
		super();
//		this.pnlInfo = pnlInfo;
	}

	public void mouseClicked(MouseEvent e) {	
			if(e.getSource() == this.pnlRules.lstRules) {
				if(e.getButton() == MouseEvent.BUTTON3 && e.getClickCount() == 1) 
					this.pnlRules.removeSelection();
				if(e.getButton() == MouseEvent.BUTTON1 && e.getClickCount() == 2)
					this.pnlRules.moveToUserList();
			} else if(e.getSource() == this.pnlRules.lstUserRules) {
				if(e.getButton() == MouseEvent.BUTTON3 && e.getClickCount() == 1) 
					this.pnlRules.removeSelection();
				if(e.getButton() == MouseEvent.BUTTON1 && e.getClickCount() == 2) 
					this.pnlRules.moveToList();
			} 
	}

	public void mouseEntered(MouseEvent arg0) {
	}

	public void mouseExited(MouseEvent e) {
	}

	public void mousePressed(MouseEvent e) {
//		if(e.getSource() == this.pnlInfo.txtTraslated) {
//			if(e.getButton() == MouseEvent.BUTTON1)
//				if (pnlInfo.txtTraslated.getText().equals(PanelInfo.TXT_DEFAULT))
//					this.pnlInfo.txtTraslated.setText("");
//		}
//		if(e.getSource() == this.pnlInstance) {
//			if(e.getButton() == MouseEvent.BUTTON1)
//				if (pnlInstance.txtInstanceTraslated.getText().equals(PanelInstance.TXT_DEFAULT))
//					this.pnlInstance.txtInstanceTraslated.setText("");
//		}
	}

	public void mouseReleased(MouseEvent arg0) {
	}

}