/*
 * Action listener for panel rules 
 */
package org.modelgen.jpf.automaticSignatureApplication.applicationView.action;

import org.modelgen.jpf.automaticSignatureApplication.applicationView.PanelRules;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


/**
 * Action listener for panel rules
 */
public class ActionListenerRules implements ActionListener {
	// Reference to the class to listen
	private PanelRules pnlRules;
	
	/**
	 * Class constructor
	 * @param pnlRules The reference to the class to listen
	 */
	public ActionListenerRules(PanelRules pnlRules) {
		super();
		this.pnlRules = pnlRules;
	}

	public void actionPerformed(ActionEvent e) {
		if(e.getSource() == this.pnlRules.getBtnExecute())
			this.pnlRules.execute();
	}
	
}