package org.modelgen.jpf.defineModel.Components;


import java.awt.Dimension;
import java.util.Vector;

import javax.swing.JScrollPane;
import javax.swing.JTabbedPane;
import javax.swing.JTable;
import javax.swing.table.TableColumn;

public class ConsoleScroll extends JScrollPane{
	private static final long serialVersionUID = 4004832791982111275L;
	
	private static ConsoleScroll instance;
	private static JTable table;
	private static Vector<String> columnNames;
	private static Vector<Vector<String>> data;
	


	public static ConsoleScroll getInstance(){
		if(table==null){
			columnNames = new Vector<String>();	
				columnNames.add("Info       ");
				columnNames.add("Action");
				columnNames.add("Resource");
				columnNames.add("");
			data = new Vector<Vector<String>>();
			table = new JTable(data,columnNames);
			table.setCellSelectionEnabled(false);
			
			TableColumn tc;
			tc = table.getColumn("Info       ");
			tc.setPreferredWidth(250);

			
			tc = table.getColumn("");
			tc.setMaxWidth(25);
				tc.setCellRenderer(DMTableCellRenderer.getInstance());
				
		}
		if (instance==null){
			instance = new ConsoleScroll();
		}
		return instance;
	}
	public ConsoleScroll(){
		super(table);
		setPreferredSize(new Dimension(0,0));
	}
	
	private void log(String info, String action,String resource, String icon){
//		ConsoleScroll scroll = ConsoleScroll.getInstance();
//		JTabbedPane tabbed =(JTabbedPane)scroll.getParent();
		JTabbedPane tabbed =(JTabbedPane)this.getParent();
		tabbed.setSelectedComponent(this);

		Vector<String> v = new Vector<String>();
		v.add(info);
		v.add(action);
		v.add(resource);
		v.add(icon);
		
		data.add(v);
		table.updateUI();
	}
	public void logInformation(String info, String action,String resource){
		log(info,action,resource,"info");
	}
	public void logTask(String info, String action,String resource){
		log(info,action,resource,"task");
	}
}
