package org.modelgen.jpf.defineModel.Components;

import java.awt.Dimension;
import java.util.Vector;

import javax.swing.JScrollPane;
import javax.swing.JTabbedPane;
import javax.swing.JTable;
import javax.swing.table.TableColumn;



public class ProblemsScroll extends JScrollPane{
	private static final long serialVersionUID = -3033353723595803998L;
	private static ProblemsScroll instance;
	private static JTable table;
	private static Vector<String> columnNames;
	private static Vector<Vector<String>> data;
	


	public static ProblemsScroll getInstance(){
		if(table==null){
			columnNames = new Vector<String>();	
				columnNames.add("Description");
				columnNames.add("Action");
				columnNames.add("Resource");
				columnNames.add("");
			data = new Vector<Vector<String>>();
			table = new JTable(data,columnNames);
			table.setCellSelectionEnabled(false);
			
			TableColumn tc;
			tc = table.getColumn("Description");
			tc.setPreferredWidth(250);

			
			tc = table.getColumn("");
			tc.setMaxWidth(25);
				tc.setCellRenderer(DMTableCellRenderer.getInstance());
				
		}
		if (instance==null){
			instance = new ProblemsScroll();
		}
		return instance;
	}
	public ProblemsScroll(){
		super(table);
		setPreferredSize(new Dimension(0,0));
	}
	
	private void log(String description, String action,String resource, String icon){
//		ConsoleScroll scroll = ConsoleScroll.getInstance();
//		JTabbedPane tabbed =(JTabbedPane)scroll.getParent();
		JTabbedPane tabbed =(JTabbedPane)this.getParent();
		tabbed.setSelectedComponent(this);
		
		Vector<String> v = new Vector<String>();
		v.add(description);
		v.add(action);
		v.add(resource);
		v.add(icon);
		
		data.add(v);
		table.updateUI();
	}
	public void logError(String description, String action,String resource){
		log(description,action,resource,"error");
		this.getToolkit().beep();
	}
	public void logWarning(String description, String action,String resource){
		log(description,action,resource,"warning");
		this.getToolkit().beep();
	}
	
}
