package org.modelgen.jpf.defineModel.Tree.Popup.PopupActions;


import org.modelgen.commons.beans.model.Construct;
import org.modelgen.commons.beans.model.Model;
import org.modelgen.facade.GeneralManagementFacade;
import org.modelgen.jpf.defineModel.Components.ConsoleScroll;
import org.modelgen.jpf.defineModel.Dialog.DMDialog;
import org.modelgen.jpf.defineModel.Dialog.DMOptionPane;
import org.modelgen.jpf.defineModel.Dialog.dialogIMPL.AddConstructDialog;

import java.awt.event.ActionEvent;
import java.util.Map;

import javax.swing.AbstractAction;
import javax.swing.Action;



public class AddConstructAction extends AbstractAction {
	private static final long serialVersionUID = 1L;

	private Construct sup_construct;
	private Model model;

	public AddConstructAction(Construct cons,Model mod){
		sup_construct = cons;
		model = mod;
		putValue(Action.NAME,cons.getName());
	}

	public void actionPerformed(ActionEvent arg0) {
		ConsoleScroll.getInstance().logTask("Adding new construct",Action.NAME,"model");
		
		DMDialog addConstructDialog = new AddConstructDialog();
		Map<String,String> values = (new DMOptionPane()).showInputDialog(addConstructDialog);
		if(values==null){
			//Se la Dialag viene chiusa
//			JOptionPane.showMessageDialog(DefineModelTool.getIstance(),"Non  stato creato alcun modello");
			return;
		}
		
		String constructName = values.get("constructName");
		GeneralManagementFacade.getInstance().addConstructToModel(model,constructName,sup_construct);

		RefreshAction.getIstance().actionPerformed(arg0);
		
		ConsoleScroll.getInstance().logInformation("Construct added: [Name: "+constructName+ ", Mapping: "+sup_construct.getName()+"]",Action.NAME,"model");
	}

}