package org.modelgen.jpf.defineModel.utility;





import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

import javax.swing.JComponent;

import org.java.plugin.boot.ApplicationPlugin;
import org.java.plugin.registry.ExtensionPoint;



public class ApplicatinManagmentUtility extends JComponent{
	private static final long serialVersionUID = -3954224840859602162L;

	/*Fields*/
	private static ApplicatinManagmentUtility istance;
	
	private Map<String,Object> applicationObjects;
	
	
	
	/*Methods*/
	public static ApplicatinManagmentUtility getIstance(){
		if(istance==null){
			istance = new ApplicatinManagmentUtility();
		} 
		return istance;
	}
	
	public void initializeApplication(){
		// IF SERVER AVVIATO
		// CONTINUA
		// ALTRIMENTI
//		JOptionPane.showMessageDialog(ApplicatinManagmentUtility.getIstance(),"Impossibile effettuare l'avvio del server");
//		System.exit(0);
	}
	
	public void finalizeApplication(){
	/*Nota: credo che questo metono non sia eseguito perch non  eseguito il metodo doStop*/
//		 IF SERVER STOPPATO
		// CONTINUA
		// ALTRIMENTI
		
//		JOptionPane.showMessageDialog(ApplicatinManagmentUtility.getIstance(),"Ipossibile effettuare lo shotdown del server");

		}

	public Map<String,Object> getApplicationObjects(ApplicationPlugin app){
		if (applicationObjects == null){
				applicationObjects = createApplicationObjectsMap(app);			
		} 
		return applicationObjects;
	}

	
	
	
	private static Map<String,Object> createApplicationObjectsMap(ApplicationPlugin app){
    	Map<String,Object> applicationObjects = new HashMap<String,Object>();
    	
    	/* Estensioni connesse 
    	 * all'extension point Tool */
    	ExtensionPoint toolExtPoint = app.getManager().getRegistry().getExtensionPoint(app.getDescriptor().getId(), "Tool");
    	Collection<?> estensioni = toolExtPoint.getConnectedExtensions();
    	applicationObjects.put("estensioni",estensioni);

    	/* ApplicationPlugin/Application/CorePlugin 
    	 * passato da CorePlugin con this */
    	applicationObjects.put("corePlugin",app);
    	
    	return applicationObjects;
	}
	

}

	

