//package org.modelgen.jpf.defineModel.utility;
//
//import java.io.File;
//import java.io.FileWriter;
//import java.io.IOException;
//import java.util.Collection;
//import java.util.Iterator;
//import java.util.LinkedList;
//import java.util.List;
//
//import org.modelgen.commons.beans.model.Construct;
//import org.modelgen.commons.beans.model.Model;
//import org.modelgen.commons.persistence.PersistenceException;
//import org.modelgen.commons.persistence.PersistenceHandler;
//import org.modelgen.commons.persistence.PersistenceHandlerFactory;
//
//public class InfoServer {
//	
//	private static final int NEWMODELOID = -1;
//
//	private static PersistenceHandler ph;
//	
//	private static List<Model> ms = null;
//
////	private static Map<String,Model> msMap = null;
//	
//	private static Model superModel = null; 
//
//	public static List<Model> getModels() throws Exception{
// 		if (ms!=null)
//			return ms;
//		
//		
// 		ms = new LinkedList<Model>();
// 		
//		PersistenceHandler ph = getPesistenceHadler();
//		Collection msParziali = ph.getModels();
//		
//		Model superModel = getSuperModel();
//		
//		Iterator it = msParziali.iterator();
//		while(it.hasNext()){
//			Model modParziale = (Model)it.next();
//			int oid = modParziale.getOID();
//			Model modCompleto = ph.loadModel(oid,superModel);
//			ms.add(modCompleto);
//		}
//		
//		
//		
//		List<Model> list = (List<Model>)ms;
//		return list;
//	}
//
//	public static Model getSuperModel(){
//		if(superModel==null){	
//			try {
//				PersistenceHandler ph = getPesistenceHadler();
//				superModel = ph.getSuperModel();
//			} catch (PersistenceException e) {
//				e.printStackTrace();
//			}
//		}
//		
//		return superModel;
//		
//	}
//	
////	public static Map<String,Model> getModelsMap() throws Exception{
////		if (msMap!=null)
////			return msMap;
////		
////		/*La scelta dell' IdentytyHashMap  fonamentale per le ridenominazioni e le eliminazioni*/
////		msMap = new IdentityHashMap<String,Model>(); 
////		List<Model> ms = getModels();
////		
//////		if(ms.isEmpty())
//////			return msMap;
////		
////		for(Model m:ms){
////			msMap.put(m.getName(),m);			
////		}
////		return msMap;
////	}
//	
//	
//	public static Model getModelByName(String name) {
//		Model modelByName = null;
//		for(Model mod : ms){
//			if (mod.getName().equals(name)){
//				modelByName = mod;
//			}
//		}
//		return modelByName;
//	}
//	
//	
//	public static PersistenceHandler getPesistenceHadler(){
//		if (ph==null){
//	        try {
//				ph = PersistenceHandlerFactory.getPersistenceHandler();
//			} catch (Exception e) {
//				e.printStackTrace();
//			}	
//		}
//			return ph;
//	}
//
//	/**
//	 *                                           MODEL OPERATIONS
//	 * 
//	 * */
//		
//	/**    CREATE A NEW MODEL (NON YET PERSISTENT)
//	 * 
//	 * 
//	 * */
//		public static boolean newModel(Model m){
//			String mName = m.getName();
//			boolean created; 
//			/*Verifichiamo se la lista dei modelli msList (persistenti e non) contiene gia un modello 
//			 * con lo stesso nome*/
//			Model modByName = InfoServer.getModelByName(mName);	
//			if (modByName!=null){
//				/*Esiste un modello con il nome dato*/
//				created = false;
//				System.out.println("Esiste gia un modello con nome " + mName);
//				System.out.println("List.size "+ms.size());
//			}else{
//				/*Se la lista non lo contiene ritorniamo true e come effetto collaterare 
//				 * aggiungiamo il nuovo modello alla lista*/
//				/*Settando l'OID a NEWMODELOID sappiamo che  stato creato in questa sessione di lavoro*/
//				m.setOID(NEWMODELOID);
//				created = ms.add(m);
//				
//				System.out.println("Modello "+m.getName()+ " creato");
//				System.out.println("List.size "+ms.size());
//			}
//			return created;
//		}
//		
//		public static boolean addImportedModel(Model m){
//			String mName = m.getName();
//			boolean created; 
//			/*Verifichiamo se la lista dei modelli msList (persistenti e non) contiene gia un modello 
//			 * con lo stesso nome*/
//			Model modByName = InfoServer.getModelByName(mName);	
//			if (modByName!=null){
//				/*Esiste un modello con il nome dato*/
//				created = false;
//				System.out.println("Esiste gia un modello con nome " + mName);
//				System.out.println("List.size "+ms.size());
//			}else{
//				/*Se la lista non lo contiene ritorniamo true e come effetto collaterare 
//				 * aggiungiamo il nuovo modello alla lista*/
//				/*Settando l'OID a NEWMODELOID sappiamo che  stato creato in questa sessione di lavoro*/
//				
//				//Importarlo comporta un salvaraggio nel db quindi non occorre impostare ul newmodeloid
////				m.setOID(NEWMODELOID);
//				created = ms.add(m);
//				
//				System.out.println("Modello "+m.getName()+ " creato");
//				System.out.println("List.size "+ms.size());
//			}
//			return created;
//		}
//		
//		/**    DELETE A MODEL FROM THE MODELS' LIST AND FROM THE DATABASE IF THE MODEL IS NOT NEW
//		* 
//		* 
//		* */
//			public static PersistenceException deleteModel(Model m){
//				PersistenceException ex = null;
//				String mName = m.getName();
//				
//				/*Se il modello era gia presente nel database va eliminato dal db e non solo dalla mappa*/
//				try {
////					if(ph.doesModelExist(mName)){
////						/*Nota: se il modello  stato prelevato dal db l'OID  presente nel modello e quindi 
////						 * pu essere sfruttato per l'eliminazione dalla base di dati*/
////						ph.deleteModel(m.getOID());
////						System.out.println("Modello "+mName+ " eliminato dal DataBase");
////					}
//				int mOID = m.getOID();
//					if(mOID!=NEWMODELOID){
//						/*Nota: se il modello  stato prelevato dal db l'OID  presente nel modello e quindi 
//						 * pu essere sfruttato per l'eliminazione dalla base di dati*/
//						ph.deleteModel(mOID);
//						System.out.println("Modello "+mName+ " eliminato dal DataBase");
//					}
//				} catch (PersistenceException e) {
//					e.printStackTrace();
//					ex = e;
//				}
//				/*Eliminiamo il modello dalla mappa*/
//				int i = ms.indexOf(m);	
//				ms.remove(i);
//				
//						System.out.println("Modello "+mName+ " eliminato dalla lista dei modelli");
//						System.out.println("List.size "+ms.size());
//				
//				return ex;
//			}
//			
//		/**    RENAME A MODEL 
//		* 
//		* 
//		* */
//
////			public static boolean renameModel(String newName, String newShotName, Model model){
////				boolean renamed;
////				Model m = InfoServer.getModelByName(newName);
////				if(m!=null){
////					renamed = false;
////					System.out.println("Il nome "+newName+"  gia utilizzato per un modello");
////				}else{
////					int i = ms.indexOf(model);
////					ms.remove(i);
////					model.setName(newName);
////					model.setShortName(newShotName);
////					ms.add(i,model);
////					renamed = true;
////					System.out.println("Modello rinominato in " + model.getName());
////					System.out.println("List.size "+ms.size());
////				}
////				return renamed;
////			}
//
//		/**    STRORE ALL MODELS IN THE DATABASE 
//		* 
//		* 
//		* */
//			public static PersistenceException storeModels(){
//
////				Model superModel = InfoServer.getSuperModel();
//				PersistenceException ex = null;
//				List<Model> msListTemp = new LinkedList<Model>(ms);
////				System.out.println("List.size falsa: "+msListTemp.size());
////				System.out.println("List.size falsa: "+msListTemp);
//				
//				for(Model m: msListTemp){
//					ex = storeModel(m);
////					try{
////						int mOID = m.getOID();
////						System.out.println("Id di "+m.getName()+" prima di salvarlo: "+mOID);
////						if(mOID!=NEWMODELOID){
////							/*Se esiste nella base di dati (cio non lo abbiamo creato nella sessione di lavoro corrente)
////							 * allora  disponibile (cio diverso da NEWMODELOID) il suo OID e possiamo eliminarlo*/
////							ph.deleteModel(mOID);
////						}
////						ph.storeModel(m);			
////						/*Quando il modello viene salvato nella base di dati aggiorniamo il suo OID da NEWMODELOID
////						 * all'OID utilizzato nel DATABASE*/
////						int dbMODoid = ph.getModelOID(m);
////						System.out.println("Id di "+m.getName()+" dopo il salvataggio: "+dbMODoid);
//////						Model dbM = ph.getModel(dbMODoid);
////						Model dbM = ph.loadModel(dbMODoid,superModel);
////						
//////						int i = msList.indexOf(m);	
////						
////						// in storeModels questa rimozione  inutile dato l'utilizzo della lista d'appoggio
//////						msList.remove(i);
////						
////						/*Sostituiamo il modello m con quello memorizzato per evitare inconsistenze (anche nei costrutti)
////						 * che sono aggiunti ai modelli nella sessione ma che non hanno associato un oid valido
////						 * */
////						int i = msListTemp.indexOf(m);	
////						msListTemp.remove(i);
////						msListTemp.add(i,dbM);
////
////						
////						System.out.println("List.size dopo falsa " +msListTemp.size());
////						System.out.println("List.size falsa: "+ms);
////						System.out.println("List.size falsa: "+msListTemp);
////					} catch (PersistenceException e) {
////						e.printStackTrace();
////						ex = e;
////					}	
////					//Nota: che l'associazione avviene solo se tutti i modelli sono salvati correttamente
////					ms = msListTemp;
//				}
//				return ex;
//			}	
//
//		/**    STRORE THE SELECTED MODEL IN THE DATABASE 
//		* 
//		* 
//		* */
//			public static PersistenceException storeModel(Model m){
//				Model superModel = InfoServer.getSuperModel();
//				PersistenceException ex = null;
//				try {
//					int mOID = m.getOID();
//					System.out.println("Id di "+m.getName()+" prima di salvarlo: "+mOID);
//					if(mOID!=NEWMODELOID){
//						/*Se esiste nella base di dati (cio non lo abbiamo creato nella sessione di lavoro corrente)
//						 * allora  disponibile (cio diverso da NEWMODELOID) il suo OID e possiamo eliminarlo*/
//						ph.deleteModel(mOID);
//					}
//					ph.storeModel(m);			
//					/*Quando il modello viene salvato nella base di dati aggiorniamo il suo OID da NEWMODELOID
//					 * all'OID utilizzato nel DATABASE*/
//					int dbMODoid = ph.getModelOID(m);
//					System.out.println("Id di "+m.getName()+" dopo il salvataggio: "+dbMODoid);
////					Model dbM = ph.getModel(dbMODoid);
//					Model dbM = ph.loadModel(dbMODoid,superModel);
//					System.out.println("Infatti: "+dbM.getOID());
//					
//					int i = ms.indexOf(m);	
//					ms.remove(i);
//					
//					/*Sostituiamo il modello m con quello memorizzato per evitare inconsistenze (anche nei costrutti)
//					 * che sono aggiunti ai modelli nella sessione ma che non hanno associato un oid valido
//					 * */
//					ms.add(i,dbM);
//
//					
//					System.out.println(ms);
//					System.out.println("List.size "+ms.size());
//				} catch (PersistenceException e) {
//					e.printStackTrace();
//					ex = e;
//				}
//				return ex;
//			}
//			
///**    DELETE A MODEL FROM THE MODELS' LIST AND FROM THE DATABASE IF THE MODEL IS NOT NEW
//* 
//* 
//* */
//			public static void deleteConstructFromModel(Construct construct, Model m){
//
//					System.out.println("Numero costrutti del modello "+ m.getName() +" prima dell'elimazione del costrutto "+
//							            m.getConstructs().size());
//					m.removeConstruct(construct);
//					System.out.println("Numero costrutti del modello "+ m.getName() +" dopo l'elimazione del costrutto "+
//							 			m.getConstructs().size());
//					
//					
//
//				}
//
//			public static Exception exportModel(File file, String xmlModel) {
//				Exception ex = null;
//	        	FileWriter writer = null;
//				try {
//					writer = new FileWriter(file,true);
//		        	writer.write(xmlModel);		        	
//				} catch (IOException e) {
//					e.printStackTrace();
//					ex = e;
//					
//				}
//				try {
//					if(writer!=null){
//						writer.close();
//					}
//				} catch (IOException e) {
//					e.printStackTrace();
//				}
//				return ex;
//			}
//
////		public static boolean renameConstruct(String constructName, Model model) {
////			boolean renamed;
////			Construct construct = InfoServer.getConstructByName(constructName,model);
////			
////			if(construct!=null){
////				renamed = false;
////				System.out.println("Il nome "+constructName+"  gia utilizzato per un modello");
////			}else{
////				construct.setName(constructName);
////
////				renamed = true;
////				System.out.println("Costruttorinominato in " +  construct.getName());
////				System.out.println("List.size "+ms.size());
////			}
////			return renamed;
////		}
//
////		private static Construct getConstructByName(String constructName, Model model) {
////			Collection cs = model.getConstructs();
////			Construct construct = null;
////			Iterator it = cs.iterator();
////			while(it.hasNext()){
////				Construct constructTemp = (Construct) it.next();
////				String tempName = constructTemp.getName();
////				if(tempName.equals(constructName))
////					construct = constructTemp;
////				}
////			return construct;
////		}
//			
//			
//}
