package org.modelgen.jpf.defineScheme.utility;

import java.util.LinkedList;
import java.util.List;

import javax.swing.tree.DefaultMutableTreeNode;

public class TreeNode {
	private TreeNode padre;
	private DefaultMutableTreeNode valore;
	private List<TreeNode> figli;
	
	public TreeNode(TreeNode parent, DefaultMutableTreeNode value){
		padre = parent;
		valore = value;
		figli = new LinkedList<TreeNode>();
	}
	
	public boolean add(TreeNode figlio){
		return figli.add(figlio);
	}
	
	public TreeNode find(TreeNode nodo){
		TreeNode ris = null;
		if(this.getValore().equals(nodo.getValore())){
			ris= this;
		}else{	
			for(TreeNode n: this.getFigli()){
				ris = n.find(nodo);
			}
		}
		return ris;
	}

	public List<TreeNode> getFigli() {
		return figli;
	}

	public void setFigli(List<TreeNode> figli) {
		this.figli = figli;
	}

	public TreeNode getPadre() {
		return padre;
	}

	public void setPadre(TreeNode padre) {
		this.padre = padre;
	}

	public DefaultMutableTreeNode getValore() {
		return valore;
	}

	public void setValore(DefaultMutableTreeNode valore) {
		this.valore = valore;
	}
	
}
