/*
 * Ancestor listener to reset cmbConstruct when tabbed is changed 
 */
package org.modelgen.jpf.defineSkolem.newSkolem;

import javax.swing.event.AncestorEvent;
import javax.swing.event.AncestorListener;

/**
 * @author  gabriele  Ancestor listener to reset cmbConstruct when tabbed is changed
 */
class AncestorListenerPanelNewSkolem implements AncestorListener {
	// Reference to the class to listen
	private PanelNewSkolem pnlNewSkolem;

	/**
	 * Class constructor
	 * @param pnlNewSkolem Reference to the class to listen
	 */
	public AncestorListenerPanelNewSkolem(PanelNewSkolem pnlNewSkolem) {
		super();
		this.pnlNewSkolem = pnlNewSkolem;
	}

	public void ancestorAdded(AncestorEvent arg0) {
	}

	public void ancestorMoved(AncestorEvent arg0) {
	}

	public void ancestorRemoved(AncestorEvent arg0) {
		/* The panel became invisible */
		this.pnlNewSkolem.cmbConstruct.setSelectedIndex(0);
	}
}