/*
 * Listener for the table 
 */
package org.modelgen.jpf.defineSkolem.table;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

/**
 * @author  gabriele  Listener for the table
 */
class MouseListenerTable implements MouseListener {
	// References to class to listen
	private SkolemTable skolemTable;

	/**
	 * Class constructor
	 * @param skolemTable The references to the class to listen
	 */
	public MouseListenerTable(SkolemTable skolemTable) {
		super();
		this.skolemTable = skolemTable;
	}

	public void mouseClicked(MouseEvent e) {
		if(e.getButton() == MouseEvent.BUTTON3) {
			this.skolemTable.showPopup(e.getPoint());
		}
	}

	public void mouseEntered(MouseEvent e) {
	}

	public void mouseExited(MouseEvent e) {
	}

	public void mousePressed(MouseEvent e) {
	}

	public void mouseReleased(MouseEvent e) {
	}
}