/*
 * Item listener for cmb 
 */
package org.modelgen.jpf.defineSkolem.table.filter;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

/**
 * @author  gabriele  Item listener for cmb
 */
class ItemListenerCombo implements ItemListener {
	// Reference to class to llisten
	private FilterTable filter;
	
	/**
	 * Class constructor
	 * @param filter The references to class to listen
	 */
	public ItemListenerCombo(FilterTable filter) {
		super();
		this.filter = filter;
	}
	
	public void itemStateChanged(ItemEvent e) {
		if(e.getSource() == this.filter.cmbFilter) {
			this.filter.resetFilter();
			this.filter.runFilter();
		}
	}
}