/*
 * Key listener for txt 
 */
package org.modelgen.jpf.defineSkolem.table.filter;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

/**
 * @author  gabriele  Key listener for txt
 */
class KeyListenerField implements KeyListener {
	// Reference to class to llisten
	private FilterTable filter;
	
	/**
	 * Class constructor
	 * @param filter The references to class to listen
	 */
	public KeyListenerField(FilterTable filter) {
		super();
		this.filter = filter;
	}

	public void keyPressed(KeyEvent e) {
	}

	public void keyReleased(KeyEvent e) {
		if(e.getSource() == this.filter.txtFilter) {
			this.filter.resetFilter();
			this.filter.runFilter();	
		}
	}

	public void keyTyped(KeyEvent e) {
	}
}
