package org.modelgen.jpf.opgen.common;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
/**
 * represents a MsmCar, the relation which binds References with Carsets.
 * @author luigi, francesca
 *
 */
@Entity
@Table(name="MSM_CAR")
public class MsmCar implements Serializable {
	@Id
	private int oid;

	@ManyToOne
	@JoinColumn(name="REFERENCEOID")
	private MsmReference referenceoid;

	@ManyToOne
	@JoinColumn(name="CARSETOID")
	private MsmCarset carsetoid;

	private static final long serialVersionUID = 1L;

	public MsmCar() {
		super();
	}

	public int getOid() {
		return this.oid;
	}

	public void setOid(int oid) {
		this.oid = oid;
	}

	public MsmReference getReferenceoid() {
		return this.referenceoid;
	}

	public void setReferenceoid(MsmReference referenceoid) {
		this.referenceoid = referenceoid;
	}

	public MsmCarset getCarsetoid() {
		return this.carsetoid;
	}

	public void setCarsetoid(MsmCarset carsetoid) {
		this.carsetoid = carsetoid;
	}

}
