package org.modelgen.jpf.opgen.common;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
/**
 * represents the arguments of a MsmSkolemFunction
 * @author luigi, francesca
 *
 */
@Entity
@Table(name="MSM_SKOLEMFUNCTIONARGUMENT")
public class MsmSkolemfunctionargument implements Serializable {
	@Id
	private int oid;

	private String type;

	private String name;

	@ManyToOne
	@JoinColumn(name="SOURCECONSTRUCTOID")
	private MsmConstruct sourceconstructoid;

	@ManyToOne
	@JoinColumn(name="FUNCTIONOID")
	private MsmSkolemfunction functionoid;

	private static final long serialVersionUID = 1L;

	public MsmSkolemfunctionargument() {
		super();
	}

	public int getOid() {
		return this.oid;
	}

	public void setOid(int oid) {
		this.oid = oid;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public MsmConstruct getSourceconstructoid() {
		return this.sourceconstructoid;
	}

	public void setSourceconstructoid(MsmConstruct sourceconstructoid) {
		this.sourceconstructoid = sourceconstructoid;
	}

	public MsmSkolemfunction getFunctionoid() {
		return this.functionoid;
	}

	public void setFunctionoid(MsmSkolemfunction functionoid) {
		this.functionoid = functionoid;
	}

}
