package org.modelgen.jpf.opgen.ormHandling;

import junit.framework.TestCase;

import org.modelgen.regole.CostanteDatalog;
import org.modelgen.regole.Letterale;
import org.modelgen.regole.MacroRegola;
import org.modelgen.regole.RegolaDatalog;

/**
 * to test MacroSaver. It is necessary to remove ToolConfigurationManager
 * access in MacroSaver and replace paths with constants.
 * @author luigi, francesca
 *
 */
public class MacroSaverTest extends TestCase {

	public void testSave() {
		
		MacroRegola mr = new MacroRegola();
		RegolaDatalog rd = new RegolaDatalog();
		
		mr.addRegola(rd);
		
		Letterale let1 = new Letterale("SM_Abstract","[DEST]");
		let1.setIsInTesta(true);
		rd.setTesta(let1);
		rd.addElementoCorpo(let1);
		let1.inserisciArgomentoEtichettato("prova", new CostanteDatalog("true"));
				
		MacroSaver save = new MacroSaver(mr);
		
		save.save("testMacroRule");
		
	}

}
