package org.modelgen.jpf.signatureApplication.test;

import org.modelgen.signature.MacroRuleSignature;
import org.modelgen.signature.ModelSignature;
import org.modelgen.signature.RuleSignature;
import org.modelgen.signature.application.macroruleapplication.SignatureApplicationUtility;
import org.modelgen.signature.application.ruleapplication.ApplicateRuleSignature;

import java.util.List;
import java.util.Map;

public class TestCreateModelSignature {

	private static MacroRuleSignature regole1;
	private static MacroRuleSignature regole2;
	private static ModelSignature scheme;
	
	public static void main(String[] args) {
		init();
		System.out.println(regole1.getRulesSignatures().size());
		System.out.println(regole1.getRulesSignatures());
		System.out.println(scheme);
		System.out.println("LEXICALS");
		List<RuleSignature> rules = regole1.getRulesSignatures();
		RuleSignature regola = rules.get(9);
		System.out.println(regola);
		
		System.out.println();
		ApplicateRuleSignature appl = new ApplicateRuleSignature();
		ModelSignature ms = appl.createModelSignature(regole1, scheme);
		System.out.println("APPLICAZIONE");
		System.out.println(ms);	
		
		System.out.println();
		System.out.println(regole2.getRulesSignatures());
		ms = appl.createModelSignature(regole2, ms);
		System.out.println("APPLICAZIONE");
		System.out.println(ms);	
		System.out.println(ms.getName());
		
		
	}
	
	private static void init() {
		
		//INIZIALIZZAZIONE DELLA macroREGOLA
		Map<String, MacroRuleSignature> allMacro = SignatureApplicationUtility.getInstance().getMapMacroRegole();
		regole1 = allMacro.get("elimFKOfTypTab.txt");
		regole2 = allMacro.get("tab4TypTab.txt");

		//INIZIALIZZAZIONE DELLO SCHEMA
		//((RELAZIONE.isfunct1 OR (NOT RELAZIONE.isfunct2)) AND (NOT RELAZIONE.isopt1));
		scheme = ModelSignaturPredefinite.getModelErBin();

	}

}
