package org.modelgen.jpf.signatureApplication.test;

import org.modelgen.signature.MacroRuleSignature;
import org.modelgen.signature.ModelSignature;
import org.modelgen.signature.application.macroruleapplication.SignatureApplicationUtility;
import org.modelgen.signature.application.ruleapplication.ApplicateRuleSignature;

import java.util.Date;
import java.util.List;

public class TestGetMacroRegole2 {

	private static ModelSignature schema;

	public static void main(String[] args) {

		SignatureApplicationUtility appl = new SignatureApplicationUtility();
		ApplicateRuleSignature applicator = new ApplicateRuleSignature();
		init();
		Date t = new Date();
		System.out.println(t);

		List<MacroRuleSignature> regole = appl.usefulMacroRules(schema);
		//List<MacroRegola> regole = appl.getMacroRegole();

		t = new Date();
		System.out.println(t);

		System.out.println(regole.size());
		System.out.println();

		//da errore
		MacroRuleSignature r =regole.get(19);
		System.out.println(r.getRulesSignatures().size());
		System.out.println(r.getRulesSignatures());
		System.out.println(appl.isApplicableMacroRule(r, schema));
		System.out.println(applicator.createModelSignature(r, schema));

	}

	/**
	 * Inizializza uno schema
	 */
	private static void init(){
		//INIZIALIZZAZIONE DELLO SCHEMA
		//MODELLO ER SEMPLICE
		ModelSignature scheme = ModelSignaturPredefinite.getModelErNoMtN();
		System.out.println(scheme);
		schema = scheme;

	}

}
