package org.modelgen.jpf.signatureApplication.test;

import org.modelgen.commons.beans.scheme.Scheme;
import org.modelgen.commons.beans.scheme.SchemeObject;
import org.modelgen.commons.beans.scheme.SchemeObjectReference;
import org.modelgen.commons.persistence.PersistenceException;
import org.modelgen.commons.persistence.database.CacheProxyDBHandler;
import org.modelgen.commons.persistence.database.RealDBHandler;

import java.sql.SQLException;

public class TestSchemeReference {
	
public static void main(String[] args) throws ClassNotFoundException, SQLException, PersistenceException{
		
		RealDBHandler db = new RealDBHandler();
		CacheProxyDBHandler proxyHandler = new CacheProxyDBHandler(db);
		
		Scheme schema = proxyHandler.getScheme(1);
		System.out.println("###Schema: "+schema.getName());
		
		//costrutti
		for(SchemeObject c : schema.getAbstractConstructs()){
			System.out.println();
			System.out.println("##_Construct");
			System.out.println(c.getName());
			System.out.println("SM: "+c.getMetaInfo().getName());

			//referenze
			for(SchemeObjectReference r: c.getReferences()){
				System.out.println();
				System.out.println("	##_Reference");
				System.out.println("	"+r.getName());
				System.out.println("	SM: "+r.getMetaInfo().getName());
			}
		}
	}

}
