package org.modelgen.jpf.visualizer.modelgenview;

import org.modelgen.commons.persistence.PersistenceException;
import org.modelgen.jpf.visualizer.modelgenview.modelgen.adapters.MultiDirectionAbstractStructure;
import org.modelgen.jpf.visualizer.modelgenview.mvc.model.ModelGraph;

import java.util.Collection;

/**
 * Class <code>ModelGenBuilderImp</code> defines
 * 
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public interface ViewStrategy {
    ModelGraph doParse(MultiDirectionAbstractStructure structure, Collection<MultiDirectionAbstractStructure> ownersAllowed) throws PersistenceException, ClassNotFoundException, Exception;
}
