package org.modelgen.jpf.visualizer.modelgenview.mvc.model;

import java.awt.Color;
import java.awt.Font;

import javax.swing.Icon;

/**
 * Class <code>ShapeInfo</code> defines
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public class ShapeInfo {
    public enum ShapeType { RECTANGLE, ROUNDED, OCTAGON, DIAMOND }
    private ShapeType shapeType = null;
    private Color background = null;
    private Color borderColor = null;
    private boolean dashed = false;
    private Font font = null;
    private Icon icon = null;
    
    public Color getBackground() {
        return background;
    }
    public void setBackground(Color background) {
        this.background = background;
    }
    public Color getBorderColor() {
        return borderColor;
    }
    public void setBorderColor(Color borderColor) {
        this.borderColor = borderColor;
    }
    public boolean isDashed() {
        return dashed;
    }
    public void setDashed(boolean dash) {
        this.dashed = dash;
    }
    public Font getFont() {
        return font;
    }
    public void setFont(Font font) {
        this.font = font;
    }
    public Icon getIcon() {
        return icon;
    }
    public void setIcon(Icon icon) {
        this.icon = icon;
    }
    public ShapeType getShapeType() {
        return shapeType;
    }
    public void setShapeType(ShapeType shapeType) {
        this.shapeType = shapeType;
    }
    
    
}
