package org.modelgen.jpf.visualizer.modelgenview.mvc.view.jgraph.prototypes;

import org.modelgen.jpf.visualizer.modelgenview.mvc.model.ModelComponent;

import java.awt.geom.Point2D;
import java.util.Map;

import org.jgraph.JGraph;
import org.jgraph.graph.DefaultEdge;
import org.jgraph.graph.DefaultGraphCell;

/**
 * Class <code>GraphCellFactory</code> defines
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public interface GraphCellFactory {

    public DefaultGraphCell createDefaultGraphCell(ModelComponent value);

    public DefaultEdge createDefaultEdge(ModelComponent value, String fromDescription,
	    String toDescription);

    public Map<?,?> createCellAttributes(JGraph jGraph, Point2D point, ModelComponent component);

    public Map<?,?> createEdgeAttributes();

    public Map<?,?> createGroupAttributes(DefaultGraphCell group, ModelComponent component);

}