package org.modelgen.jpf.visualizer.modelgenview.mvc.view.jgraph.vertexviews;

import org.modelgen.jpf.visualizer.util.DashedBorder;

import javax.swing.border.Border;

import org.jgraph.graph.CellViewRenderer;
import org.jgraph.graph.DefaultGraphCell;
import org.jgraph.graph.VertexRenderer;

/**
 * Class <code>RectangularView</code> defines
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public class RectangularDashedView extends RectangularView {
    private static final long serialVersionUID = 1L;
    public static transient final int LABEL_SIZE = 20;
    public static transient VertexRenderer renderer = new RectangularRendererDashed();

    public RectangularDashedView(DefaultGraphCell cell) {
	super(cell);
    }

    public CellViewRenderer getRenderer() {
	return renderer;
    }

    public static class RectangularRendererDashed extends RectangularRenderer {
	private static final long serialVersionUID = 1L;
	public RectangularRendererDashed() {
	    super();
	}
	@Override
	public Border getMyBorder() {
	    return new DashedBorder(bordercolor, 8, 8);
	}
    }

}
