package org.modelgen.jpf.visualizer.modelgenview.mvc.view.jgraph.vertexviews;

import javax.swing.BorderFactory;
import javax.swing.border.Border;

import org.jgraph.graph.CellViewRenderer;
import org.jgraph.graph.DefaultGraphCell;
import org.jgraph.graph.VertexRenderer;

/**
 * Class <code>RectangularView</code> defines
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public class RectangularEmptyView extends RectangularView {
    private static final long serialVersionUID = 1L;
    public static transient final int LABEL_SIZE = 20;
    public static transient VertexRenderer renderer = new RectangularRendererEmpty();

    public RectangularEmptyView(DefaultGraphCell cell) {
	super(cell);
    }

    public CellViewRenderer getRenderer() {
	return renderer;
    }

    public static class RectangularRendererEmpty extends RectangularRenderer {
	private static final long serialVersionUID = 1L;

	public RectangularRendererEmpty() {
	    super();
	}

	public Border getMyBorder() {
	    return BorderFactory.createEmptyBorder();
	}
    }

}
