package org.modelgen.jpf.visualizer.pac.top.debug;

import org.modelgen.jpf.visualizer.pac.top.DebugHandler;

import java.awt.Component;

import javax.swing.Icon;
import javax.swing.JTabbedPane;

/**
 * Class <code>ChangeableView</code> defines
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public abstract class ChangeableView extends AbstractColleague {

    private JTabbedPane tab;

    public ChangeableView(DebugHandler mediator) {
	super(mediator);
	tab = new JTabbedPane();
	tab.insertTab("Empty tab", null, null, "Create a new session", 0);
	super.view = tab;
    }
    
    public void setView(String title, Icon icon, Component component, String tip) {
	tab.removeTabAt(0);
	tab.insertTab(title, icon, component, tip, 0);
	//tab.setTitleAt(0, title);
	//tab.setIconAt(0, icon);
	//tab.setTabComponentAt(0, component);
	//tab.setToolTipTextAt(0, tip);
    }
    
    

}
