package org.modelgen.jpf.visualizer.pac.top.views.view;

import org.modelgen.jpf.visualizer.modelgenview.mvc.model.ModelComponent;
import org.modelgen.jpf.visualizer.modelgenview.mvc.model.ModelGraph;

import java.awt.Color;
import java.io.Serializable;

/**
 * Class <code>ViewGraph</code> defines
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public abstract class ViewGraph extends AbstractView<ModelGraph> implements Serializable {

    public ViewGraph(ModelGraphViewHandler mediator, ModelGraph model) {
	super(mediator, model);
    }

    public abstract void setColor(ModelComponent modelComponent, Color color);
}