package org.modelgen.jpf.visualizer.util;

import javax.swing.JComponent;
import javax.swing.JScrollPane;

/**
 * ScrollPane che scorre di piu' righe dello standard
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public class MoreUnitIncrementScrollPane extends JScrollPane {
	private static final long serialVersionUID = 1L;
	private final int SCROLL = 100;

	public MoreUnitIncrementScrollPane() {
	    super();
	    super.setWheelScrollingEnabled(true);
	    super.verticalScrollBar.setUnitIncrement(SCROLL);
	    super.verticalScrollBar.setBlockIncrement(SCROLL);
	}

	public MoreUnitIncrementScrollPane(JComponent view) {
	    this();
	    this.setViewportView(view);
	}
}