package org.modelgen.jpf.visualizer.util;

import java.io.Serializable;

/**
 * Class <code>UnsharedString</code>
 * offre un'implementazione non condivisa di String
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public class UnsharedString implements Serializable {
	private static final long serialVersionUID = 1L;
	private StringBuffer s;

    public UnsharedString(String s) {
	this.s = new StringBuffer(s);
    }

    @Override
    public boolean equals(Object obj) {
	boolean equals;
	if (obj instanceof UnsharedString) {
	    UnsharedString unshared2 = (UnsharedString) obj;
	    equals = this.s.toString().equals(unshared2.s.toString());
	} else {
	    equals = this.s.toString().equals(obj);
	}
	return equals;
    }
    
    @Override
    public int hashCode() {
	return super.hashCode();
    }

    @Override
    public String toString() {
	return this.s.toString();
    }
    
}
