package org.modelgen.commons.beans;

/**
 * A null bean. 
 * 
 * Only useful in the generics definition of metaInfo
 * in {@link org.modelgen.commons.beans.AbstractBean } and
 * in {@link org.modelgen.commons.beans.AbstractStructure } 
 * 
 * @author Riccardo Pietrucci
 *
 */
public class NullBean extends AbstractBean<NullBean> {
	/**
	 * This class it's only a marker.
	 * 
	 * We can't create a NullBean!
	 */
	private NullBean() {
		super(0,null,null);
	}
	
}
