package org.modelgen.commons.persistence.xml.jaxb.model;

public class ObjectFactory {
  private org.apache.ws.jaxme.impl.JAXBContextImpl jaxbContext;

  private java.util.Map<String, Object> properties;


  public ObjectFactory() throws javax.xml.bind.JAXBException {
    jaxbContext = (org.apache.ws.jaxme.impl.JAXBContextImpl) javax.xml.bind.JAXBContext.newInstance("org.modelgen.commons.persistence.xml.jaxb.model");
  }

  public java.lang.Object newInstance(java.lang.Class pElementInterface) throws javax.xml.bind.JAXBException {
    return jaxbContext.getElement(pElementInterface);
  }

  public java.lang.Object getProperty(java.lang.String pName) {
    if (properties == null) {
      return null;
    }
    return properties.get(pName);
  }

  public void setProperty(java.lang.String pName, java.lang.Object pValue) {
    if (properties == null) {
      properties = new java.util.HashMap<String, Object>();
    }
    properties.put(pName, pValue);
  }

  public org.modelgen.commons.persistence.xml.jaxb.model.Model createModel() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.model.Model) newInstance(org.modelgen.commons.persistence.xml.jaxb.model.Model.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.model.ModelType createModelType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.model.ModelType) newInstance(org.modelgen.commons.persistence.xml.jaxb.model.ModelType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.model.BasicConstructType createBasicConstructType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.model.BasicConstructType) newInstance(org.modelgen.commons.persistence.xml.jaxb.model.BasicConstructType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.model.ModelConstructType createModelConstructType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.model.ModelConstructType) newInstance(org.modelgen.commons.persistence.xml.jaxb.model.ModelConstructType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.model.BasicPropertyType createBasicPropertyType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.model.BasicPropertyType) newInstance(org.modelgen.commons.persistence.xml.jaxb.model.BasicPropertyType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.model.ModelPropertyType createModelPropertyType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.model.ModelPropertyType) newInstance(org.modelgen.commons.persistence.xml.jaxb.model.ModelPropertyType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.model.BasicReferenceType createBasicReferenceType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.model.BasicReferenceType) newInstance(org.modelgen.commons.persistence.xml.jaxb.model.BasicReferenceType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.model.ModelReferenceType createModelReferenceType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.model.ModelReferenceType) newInstance(org.modelgen.commons.persistence.xml.jaxb.model.ModelReferenceType.class);
  }

}
