package org.modelgen.commons.persistence.xml.jaxb.nestedmodel;

public class ObjectFactory {
  private org.apache.ws.jaxme.impl.JAXBContextImpl jaxbContext;

  private java.util.Map<String, Object> properties;


  public ObjectFactory() throws javax.xml.bind.JAXBException {
    jaxbContext = (org.apache.ws.jaxme.impl.JAXBContextImpl) javax.xml.bind.JAXBContext.newInstance("org.modelgen.commons.persistence.xml.jaxb.nestedmodel");
  }

  public java.lang.Object newInstance(java.lang.Class pElementInterface) throws javax.xml.bind.JAXBException {
    return jaxbContext.getElement(pElementInterface);
  }

  public java.lang.Object getProperty(java.lang.String pName) {
    if (properties == null) {
      return null;
    }
    return properties.get(pName);
  }

  public void setProperty(java.lang.String pName, java.lang.Object pValue) {
    if (properties == null) {
      properties = new java.util.HashMap<String, Object>();
    }
    properties.put(pName, pValue);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Model createModel() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Model) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Model.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ModelType createModelType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ModelType) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ModelType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Constructs createConstructs() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Constructs) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Constructs.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ConstructsType createConstructsType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ConstructsType) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ConstructsType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Construct createConstruct() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Construct) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Construct.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ConstructType createConstructType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ConstructType) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ConstructType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaConstruct createMetaConstruct() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaConstruct) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaConstruct.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaConstructType createMetaConstructType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaConstructType) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaConstructType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Properties createProperties() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Properties) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Properties.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.PropertiesType createPropertiesType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.PropertiesType) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.PropertiesType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Property createProperty() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Property) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Property.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.PropertyType createPropertyType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.PropertyType) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.PropertyType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaProperty createMetaProperty() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaProperty) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaProperty.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaPropertyType createMetaPropertyType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaPropertyType) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaPropertyType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.References createReferences() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.References) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.References.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ReferencesType createReferencesType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ReferencesType) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ReferencesType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Reference createReference() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Reference) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Reference.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ReferenceType createReferenceType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ReferenceType) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ReferenceType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaReference createMetaReference() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaReference) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaReference.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaReferenceType createMetaReferenceType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaReferenceType) newInstance(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.MetaReferenceType.class);
  }

}
