package org.modelgen.commons.persistence.xml.jaxb.scheme;

public class ObjectFactory {
  private org.apache.ws.jaxme.impl.JAXBContextImpl jaxbContext;

  private java.util.Map<String, Object> properties;


  public ObjectFactory() throws javax.xml.bind.JAXBException {
    jaxbContext = (org.apache.ws.jaxme.impl.JAXBContextImpl) javax.xml.bind.JAXBContext.newInstance("org.modelgen.commons.persistence.xml.jaxb.scheme");
  }

  public java.lang.Object newInstance(java.lang.Class pElementInterface) throws javax.xml.bind.JAXBException {
    return jaxbContext.getElement(pElementInterface);
  }

  public java.lang.Object getProperty(java.lang.String pName) {
    if (properties == null) {
      return null;
    }
    return properties.get(pName);
  }

  public void setProperty(java.lang.String pName, java.lang.Object pValue) {
    if (properties == null) {
      properties = new java.util.HashMap<String, Object>();
    }
    properties.put(pName, pValue);
  }

  public org.modelgen.commons.persistence.xml.jaxb.scheme.Scheme createScheme() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.scheme.Scheme) newInstance(org.modelgen.commons.persistence.xml.jaxb.scheme.Scheme.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeType createSchemeType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeType) newInstance(org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType createSchemeObjectType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType) newInstance(org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectPropertyType createSchemeObjectPropertyType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectPropertyType) newInstance(org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectPropertyType.class);
  }

  public org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectReferenceType createSchemeObjectReferenceType() throws javax.xml.bind.JAXBException {
    return (org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectReferenceType) newInstance(org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectReferenceType.class);
  }

}
