/*
 * Created on 19-mag-2005
 *
 */
package org.modelgen.regole;

import org.modelgen.regole.utilities.CollectionFormatter;
import org.modelgen.regole.utilities.VarGenerator;

import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.Set;


/**
 * Rappresenta una clausola select del tipo ".." + varX.colonna + varY.colonna + ..
 * @author luigi, francesca
 * 
 */
public class CondizioneSelectComposta implements CondizioneSelect {
	private List<String> parti; // di tipo String
	
	public CondizioneSelectComposta(){
		this.parti = new LinkedList<String>();
	}
	
	public void addParte(String p) {
		parti.add(p);
	}
	public CondizioneSelect getTradotto(Map<String,Tabella> tabelle, Map<String,Tabella> tabelle1, Set<Condizione> where,Set<Condizione> where1, VarGenerator vg, List<Regola> regole, CondizioneNotExist cne, String colonnaRiferimento){
		return this; // la condizione select composta risolta  uguale a se stessa
	}
	
	public String toString() {
		List newParti = CollectionFormatter.getInstance().mettiElementiListaSeparatoreDopoPunto(parti);
		return CollectionFormatter.getInstance().getSequenzaComponenti(newParti,"+");
	}
	
	

}
