/*
 * Created on 3-giu-2005
 *
 */
package org.modelgen.regole.Exception;

/**
 * Eccezione generata nella acquisizione di una 
 * regola Datalog quando le variabili di una condizione non sono presenti
 * nei letterali.
 * @author luigi, francesca
 *
 */
public class ConditionCreationException extends Exception {
	private static final long serialVersionUID = 1L;

	public ConditionCreationException(String var) {
		super("Variabile "+var+" non trovata nella creazione di una condizione.");
	}

}
