/*
 * Created on 3-giu-2005
 *
 */
package org.modelgen.regole.Exception;


/**
 * Eccezione lanciata da un letterale in caso di errori nella traduzione 
 * di alcune sue condizioni.
 * @author luigi, francesca
 *
 */
public class IncompleteLiteralConditionsException extends
		LiteralTranslationException {
	private static final long serialVersionUID = 1L;

	public IncompleteLiteralConditionsException(String a) {
		super(a);
	}
	
	public IncompleteLiteralConditionsException() {
		super();
	}
	
	public IncompleteLiteralConditionsException(IncompleteQualifiedAttributeException ex, String nomeLetterale) {
		super("Errore nella traduzione di "+ nomeLetterale+". "+ ex.getMessage());
	}

}
