package org.modelgen.regole.Exception;

/**
 * Eccezione sollevata dal tentativo di traduzione per istanza di
 * un argomento composto associato ad una referenza. Infatti gli argomenti
 * composti possono essere associati solo a propriet.
 * @author luigi, francesca
 *
 */
public class InstanceFromComposedArgumentException extends
		InstanceTranslationException {
	private static final long serialVersionUID = 1L;

	public InstanceFromComposedArgumentException() {
		super();
	}
	
	public InstanceFromComposedArgumentException(String argomentoComposto) {
		super("argomento composto associato ad una referenza: "+argomentoComposto);
	}
	
	

}
