package org.modelgen.regole.Exception;

/**
 * Eccezione che rappresenta il tentativo di creazione di una 
 * regola Datalog per istanza a partire da una regola originale
 * temporanea, ovvero con la testa temporanea.
 * @author luigi, francesca
 *
 */
public class InstanceFromTempException extends InstanceTranslationException {
	private static final long serialVersionUID = 1L;

	public InstanceFromTempException(String testa) {
		super("testa temporanea: " + testa );
	}
	
	public InstanceFromTempException() {
		super();
	}
	

	

}
