/*
 * Created on 3-giu-2005
 *
 */
package org.modelgen.regole.Exception;

/**
 * Eccezione generata quando una variabile espressa
 * in una condizione o in un funtore della testa o del corpo,
 * non ha corrispondenza nei letterali
 * @author luigi, francesca
 *
 */
public class VarNotFoundException extends Exception  {
	private static final long serialVersionUID = 1L;

	public VarNotFoundException(String variabile) {
		super("Variabile "+variabile+" non trovata");
	}
	
	public VarNotFoundException(MultipleValueException ex) {
		super(ex.getMessage());
	}


}
