/*
 * Created on 19-mag-2005
 *
 */
package org.modelgen.regole;

import org.modelgen.regole.utilities.CollectionFormatter;
import org.modelgen.regole.utilities.VarGenerator;

/**
 * Rappresenta le tabelle della query SQL con relativa stringa
 * "varX" inizializzata
 * @author luigi, francesca
 * 
 *
 */
public class Tabella {
	private String nome;
	private String varOID;
	
	public Tabella(String nome, VarGenerator v) {
		this.nome = nome;
		this.varOID = v.getVar();
	}
	
	public Tabella(String nome, String varOID){
		this.nome = nome;
		this.varOID = varOID;
	}
	
	public String getNome() {
		return this.nome;
	}
	
	public void setNome(String nome) {
		this.nome = nome;		
	}
	
	public void setVarOID(String OID){
		this.varOID = OID;
	}
	
	public String getVarOID() {
		return this.varOID;
	}
	
	public String toString() {
		return CollectionFormatter.getInstance().mettiTraSeparatore(nome) + " " + varOID;
	}

}
