package org.modelgen.signature.test;

import org.modelgen.commons.beans.model.Model;
import org.modelgen.commons.persistence.PersistenceException;
import org.modelgen.facade.GeneralManagementFacade;

import java.util.List;

public class FamilyRetrieveTest {
	
	public static void main(String[] args) throws PersistenceException{
		
		GeneralManagementFacade.getInstance().startServer();
		
		Model model = GeneralManagementFacade.getInstance().getFamilyAncestor(1);
		System.out.println(model.getName());
		System.out.println("OID: "+model.getOID());
		System.out.println("familyOID: "+model.getFamilyOid());
		System.out.println("isAncestor: "+model.isAncestor());
		System.out.println("Family: "+model.getFamily());
		
		System.out.println();
		
		model = GeneralManagementFacade.getInstance().getFamilyAncestor(0);
		System.out.println(model);
		
		System.out.println();
		System.out.println("**********************");
		System.out.println();
		
		List<Model> ancestors = GeneralManagementFacade.getInstance().getAllFamilies();
		System.out.println(ancestors);
		
		System.out.println();
		
		GeneralManagementFacade.getInstance().stopServer();
		
	}

}
