package org.modelgen.signature.test;

import org.modelgen.facade.GeneralManagementFacade;
import org.modelgen.signature.MacroRuleSignature;

public class RetrieveMacroRuleByName {

	/*
	 * 	00.00.copyAll.txt
		01.00.absAndAbsAtt4StructOfAttNestedInAbs.txt
		01.01.absAndAbsAtt4StructOfAttNestedInAbsCST.txt
		01.02.absAndAbsAtt4StructOfAttNestedInAbsCST.txt
		01.03.absAndAbsAtt4StructOfAttNestedInAbs.txt
		02.00.absAndAbsAtt4StructOfAttOfAbs.txt
		02.01.absAndAbsAtt4StructOfAttOfAbsCUSTOM.txt
		03.00.absAndFK4Set.txt
		04.00.absAndFK4SetOfAbs.txt
		05.00.absAndFK4StructOfAbs.txt
		06.00.absAndFK4StructOfAttNestedInAbs.txt
		07.00.absAndFK4StructOfAttOfAbs.txt
		08.00.absLeavesAndBinAggOfAbs4Gen.txt
		09.00.absParentAndBinAggOfAbs4Gen.txt
		10.00.aggAndFK4StructOfAttNestedInAgg.txt
		11.00.aggAndFK4StructOfAttOfAgg.txt
		12.00.binAggOfAbs4Gen.txt
		13.00.elimFKOfTypTab.txt
		14.00.elimLexOfM2NBinAggOfAbs.txt
		15.00.elimLexOfOne2XBinAggOfAbs.txt
		16.00.elimM2NBinAggOfAbs.txt
		17.00.elimMultiKeysFromAbs.txt
		18.00.elimN2One&(0-1)2(1-1)BinAggOfAbs.txt
		19.00.elimReallyNaryAggOfAbs.txt
		23.00.fK4AbsAttOfAggAndAbs.txt
		24.00.lexOfAbs4StructOfAttNestedInAbs.txt
		25.00.lexOfAbs4StructOfAttOfAbs.txt
		26.00.lexOfAgg4StructOfAttNestedInAgg.txt
		27.00.lexOfAgg4StructOfAttOfAgg.txt
		29.00.tab4TypTab.txt
		30.00.typTab4Tab.txt
		31.00.setOfAbs4AbsWithAbsAtt.txt
		32.00.elimAbsLeavesOfGen.txt
		32.01.elimAbsLeavesOfGenCUSTOM.txt
		33.00.elimAbsNotLeavesOfGen.txt
		34.00.fKFromChild2Father4Gen.txt
		34.01.fKFromChild2Father4GenCUSTOM.txt
		35.00.absAndAbsAtt4SetOfAbs.txt
		36.00.absAndAbsAtt4Set.txt
		37.00.absAttFromChild2Father4Gen.txt
		37.01.absAttFromChild2Father4GenCUSTOM.txt
		43.00.fK4AbsAttOfAbsAndStructNestedInAbs.txt
		20.00.ER2OO.txt
		21.00.ER2Rel.txt
		22.00.fakeNary2BinaryER.txt
		28.00.rel2ER.txt
	 */

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		GeneralManagementFacade.getInstance().startServer();
		String name ="32.00.elimAbsLeavesOfGen.txt";
		MacroRuleSignature mrSign = GeneralManagementFacade.getInstance().getMacroRegolaByfileName(name);
		System.out.println(mrSign);
		GeneralManagementFacade.getInstance().stopServer();
	}

}
