package org.modelgen.signature.test;

import org.modelgen.facade.GeneralManagementFacade;
import org.modelgen.signature.MacroRuleSignature;
import org.modelgen.signature.application.loader.RulesLoader;

import java.io.IOException;
import java.util.List;

public class RulesLoaderTest {
	
	public static void main(String[] args) throws IOException{
		GeneralManagementFacade.getInstance().startServer();
		List<String> lista;
		lista = RulesLoader.getInstance().loadReductions();
		System.out.println(lista);
		
		System.out.println();
		
		lista = RulesLoader.getInstance().loadTransformations();
		System.out.println(lista);
		
		System.out.println();
		System.out.println("Visualizzo una macroregola, dato il suo nome");
		MacroRuleSignature mrdp = GeneralManagementFacade.getInstance().getMacroRegolaByfileName("16.00.elimM2NBinAggOfAbs.txt");
		System.out.println(mrdp);
		
		System.out.println();
		System.out.println("Visualizzo una macroregola, dato il suo nome");
		mrdp = GeneralManagementFacade.getInstance().getMacroRegolaByfileName("20.00.ER2OO.txt");
		System.out.println(mrdp);
		
		System.out.println();
		System.out.println("Visualizzo una macroregola, dato il suo nome");
		mrdp = GeneralManagementFacade.getInstance().getMacroRegolaByfileName("12.00.binAggOfAbs4Gen.txt");
		System.out.println(mrdp);
		GeneralManagementFacade.getInstance().stopServer();
	}

}
