package org.modelgen.importexport.oo.model;

/**Represents a Child of a OOGeneralization.
 * A generalization can have an arbitrary number of child; this class represent
 * a signle child and the information needed to store it in the ModelGen database 
 * 
 * @version 0.9
 * 
 */
public class OOChild {
	private int OID;
	private OOClass child;
	
	
	/**Creates a new Child.
	 * @param oid
	 * @param child
	 */
	public OOChild(int oid, OOClass child) {
		OID = oid;
		this.child = child;
	}
	public OOClass getChild() {
		return child;
	}
	public int getOID() {
		return OID;
	}
	
	
}
