/*
 * This class implements a key listener for PanelInfo 
 */
package org.modelgen.jpf.applyRules.apply;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JTextField;

/**
 * @author  gabriele  This class implements a key listener for PanelInfo
 */
class KeyListenerPanelInstance implements KeyListener {
	// References to the class to listen
	private PanelInstance pnlInstance;
	
	/**
	 * Class constructor
	 * @param pnlInstance TODO
	 * @param pnlInfo The references to class to listen
	 */
	protected KeyListenerPanelInstance(PanelInstance pnlInstance) {
		this.pnlInstance = pnlInstance;
	}

	public void keyPressed(KeyEvent e) {
		
		JTextField txt = null;
		
		
		if(e.getKeyCode() == KeyEvent.VK_BACK_SPACE && e.getSource() instanceof JTextField) {
			txt = (JTextField)e.getSource();
			if (txt.getText().equals(PanelInstance.TXT_DEFAULT) && pnlInstance.getIsEnabled())
			txt.setText("");
		}
	}

	public void keyReleased(KeyEvent e) {
	}

	public void keyTyped(KeyEvent arg0) {
	}
}