/*
 * Listener for PanelCopy class 
 */
package org.modelgen.jpf.applyRules.copy;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * @author  gabriele  Listener for PanelCopy class
 */
class ActionListenerCopy implements ActionListener {
	// References to the class to listen
	private PanelCopy pnlCopy;
	
	/**
	 * Class constructor
	 * @param pnlCopy The references to the class to listen
	 */
	protected ActionListenerCopy(PanelCopy pnlCopy) {
		super();
		this.pnlCopy = pnlCopy;
	}

	public void actionPerformed(ActionEvent e) {
		if(e.getSource() == this.pnlCopy.btnCopyModel) {
			this.pnlCopy.copyModelIntoSuperModel();
		}
		else if(e.getSource() == this.pnlCopy.btnCopySupermodel) {
			this.pnlCopy.copySuperModelIntoModel();
		}
		
			
	}
}