package org.modelgen.jpf.automaticSignatureApplication.test;

import org.modelgen.commons.beans.model.Model;
import org.modelgen.commons.beans.scheme.Scheme;
import org.modelgen.commons.persistence.PersistenceException;
import org.modelgen.facade.GeneralManagementFacade;
import org.modelgen.jpf.automaticSignatureApplication.facade.FindTranslationFacade;

import java.io.IOException;

public class FindTranslationTest {
	
	public static void main(String[] args) throws PersistenceException, IOException{
		GeneralManagementFacade.getInstance().startServer();
		//carico lo scheema dal super modello
		Scheme schema = GeneralManagementFacade.getInstance().getSuperModelSchema(4);
		Model model = GeneralManagementFacade.getInstance().getModelForName("Relational");
		System.out.println(model.getModelSignature());
		System.out.println(schema.getModelSignature());
		System.out.println("\n");
		System.out.println("+++++++++++++++++++++++++++++++");
		FindTranslationFacade find = FindTranslationFacade.getInstance();
		/*Model sourceFamily = find.getSchemeFamily(schema);
		Model targetFamily = find.getModelFamily(model);
		System.out.println(sourceFamily);//EntityRelationship
		System.out.println(sourceFamily.getModelSignature());
		System.out.println(sourceFamily.getOID());//1
		System.out.println(targetFamily);//Relational
		System.out.println(targetFamily.getModelSignature());
		System.out.println(targetFamily.getOID());//3
		System.out.println(targetFamily.getFamilyOid());//4
		System.out.println(targetFamily.getFamily());//null
		System.out.println(targetFamily.isAncestor());//true
		System.out.println("\n");*/
		System.out.println("+++++++++++++++++++++++++++++++");
		
		System.out.println(find.translate(schema, model));
		GeneralManagementFacade.getInstance().stopServer();
	}

}
