package org.modelgen.jpf.defineModel.Tree.Popup.PopupActions;

import org.modelgen.facade.ResourceFunctions;
import org.modelgen.jpf.defineModel.Tree.WorkSpaceTree;

import java.awt.event.ActionEvent;
import java.util.Collections;
import java.util.Enumeration;
import java.util.List;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.ImageIcon;
import javax.swing.JTree;
import javax.swing.tree.DefaultTreeModel;
import javax.swing.tree.TreeNode;
import javax.swing.tree.TreePath;


public class RefreshAction extends AbstractAction{
	private static final long serialVersionUID = 1L;

	public static final String ACTION_NAME = "Refresh Workspace";


	private static RefreshAction istance;

	public static RefreshAction getIstance(){
		if(istance == null)
			istance = new RefreshAction();
		return istance;
	}	

	private RefreshAction(){
		putValue(Action.SHORT_DESCRIPTION,ACTION_NAME);
		ImageIcon imageIcon = ResourceFunctions.openImageIcon(this.getClass(), "delete.gif");
		putValue(Action.SMALL_ICON,imageIcon);
	}


	public void actionPerformed(ActionEvent arg0) {
//		System.out.println("InitRefresh");
		WorkSpaceTree scroll = WorkSpaceTree.getIstance();
//		/*lastNode potrebbe essere null se si iniziano ad usare i pulsanti delle barre*/
//		DefaultMutableTreeNode lastNode = (DefaultMutableTreeNode)scroll.getTree().getLastSelectedPathComponent();

//		TreePath nodePath = null;
//		/*Se lastNode==null allora nodePath==null: il comportamento del TreeContent  
//		* non espandere alcun nodo*/
//		if(lastNode!=null){
//		nodePath = new TreePath(lastNode.getPath());
//		System.out.println("Refresh: "+nodePath);
//		}
//		scroll.setLastSelectedPath(nodePath);
		JTree tree = scroll.getTree();
		DefaultTreeModel model = ((DefaultTreeModel)tree.getModel());

//		Enumeration<TreePath> treePaths = tree.getExpandedDescendants(new TreePath(model.getPathToRoot((TreeNode)model.getRoot())));
//		System.out.println("refresh treePaths: "+ treePaths);
//		WorkSpaceTree.setLastSelectedPaths((List<TreePath>)Collections.list(treePaths));
		TreePath tp = tree.getSelectionPath();

		List<TreePath> tps = null;
		Enumeration<TreePath> en = tree.getExpandedDescendants(new TreePath(model.getPathToRoot((TreeNode)model.getRoot())));
		if(en!=null){
			tps = Collections.list(en);
		}

		WorkSpaceTree.setLastSelectedPath(tp);	
		WorkSpaceTree.setLastExpandedPaths(tps);
		/** GIO VALUECHANGED */
//		System.out.println("FireValueChanged on nodePath: " +nodePath);
//		((TreeContent)scroll.getTree()).notificaAggiornamentoSelezione();

		scroll.refresh();
	}

}
