package org.modelgen.jpf.defineScheme.Tree.ObjectDescription;

import org.modelgen.commons.beans.scheme.Scheme;
import org.modelgen.commons.beans.scheme.SchemeObject;
import org.modelgen.commons.beans.scheme.SchemeObjectProperty;
import org.modelgen.commons.beans.scheme.SchemeObjectReference;

public class NodeInfo {

        private String name;
        private Object dataObject;

        public NodeInfo(String name2, Object obj2) {
            name = name2;
            dataObject = obj2;
            
        }

        public String getName() {
			return name;
		}

		public void setName(String name) {
			this.name = name;
		}

		public Object getDataObject() {
			return dataObject;
		}
		
		public void setDataObject(Object nodeInfo) {
			this.dataObject = nodeInfo;
		}

		public String toString() {
            return name;
        }

		public Scheme getScheme(){
			if (dataObject instanceof Scheme) {
				return (Scheme)dataObject;
			} else {
				return null;
			}
		}
		
		public SchemeObject getSchemeObject(){
			if (dataObject instanceof SchemeObject) {
				return (SchemeObject)dataObject;
			} else {
				return null;
			}
		}
		
		public SchemeObjectProperty getSchemeObjectProperty(){
			if (dataObject instanceof SchemeObjectProperty) {
				return (SchemeObjectProperty)dataObject;
			} else {
				return null;
			}
		}
		
		public SchemeObjectReference getSchemeObjectReference(){
			if (dataObject instanceof SchemeObjectReference) {
				return (SchemeObjectReference)dataObject;
			} else {
				return null;
			}
		}
}
