package org.modelgen.jpf.defineScheme.Tree.Popup.PopupActions;

import org.modelgen.commons.beans.scheme.Scheme;
import org.modelgen.jpf.defineScheme.utility.MenuGenerator;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

public class NewSchemeObjectPopupListener extends MouseAdapter {
	MouseEvent evt = null;
	
	
    public void mousePressed(MouseEvent e) {
    	evt = e;
        showPopup(e);
    }

    public void mouseReleased(MouseEvent e) {
    	evt = e;
        showPopup(e);
    }

    private void showPopup(MouseEvent e) {
    	
    /*   public boolean isPopupTrigger() Returns whether or not this mouse event is the popup menu trigger event 
    *   for the platform. 
    *   
    *   Note: Popup menus are triggered differently on different systems. Therefore, isPopupTrigger should be 
    *   checked in both mousePressed and mouseReleased for proper cross-platform functionality. 
    *   */   	
    	JPopupMenu popup = null;
//        if (e.isPopupTrigger()) {
        	popup = createPopup();
            popup.show(e.getComponent(),e.getX(), e.getY());
//        }
    }


	private JPopupMenu createPopup() {
		JPopupMenu popup = new JPopupMenu();
		
		Scheme scheme = ActionUtility.getScheme();
		if(scheme.getAvailableConstructs().isEmpty()){
			popup.add(new JMenuItem("No constructs available"));
		}else{
			MenuGenerator.getIstance().addAvailableSchemeObjects(popup,scheme);
		}
		return popup;
	}

}