package org.modelgen.jpf.defineScheme.Tree.Popup.PopupActions;

import org.modelgen.facade.ResourceFunctions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.ImageIcon;

public class VoidReportAction extends AbstractAction {
	private static final long serialVersionUID = 1L;


	public static final String ACTION_NAME = "Reports";
	
	private static VoidReportAction istance;
	
	public static VoidReportAction getIstance(){
		if(istance == null)
			istance = new VoidReportAction();
		return istance;
	}	
	
	private VoidReportAction(){
		putValue(Action.SHORT_DESCRIPTION,ACTION_NAME);
		ImageIcon imageIcon = ResourceFunctions.openImageIcon(this.getClass(), "report.gif");
		putValue(Action.SMALL_ICON,imageIcon);
	}

	public void actionPerformed(ActionEvent arg0) {
		
	}
}

