/*
 * Listener for menu 
 */
package org.modelgen.jpf.defineSkolem;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * @author  gabriele  Listener for menu
 */
class ActionListenerMenu implements ActionListener {
	// Reference to the classes to listen
	private MenuSkolem mnuSkolem;
	private ManagementSkolemTool mngSkolem;
	
	/**
	 * Class contructor
	 * @param mnuSkolem References to menu
	 * @param mngSkolem References to main window
	 */
	public ActionListenerMenu(MenuSkolem mnuSkolem, ManagementSkolemTool mngSkolem) {
		super();
		this.mnuSkolem = mnuSkolem;
		this.mngSkolem = mngSkolem;
	}

	public void actionPerformed(ActionEvent e) {
		if(e.getSource() == this.mnuSkolem.mniInsert)
			this.mngSkolem.addPanelNewSkolem();
		else if(e.getSource() == this.mnuSkolem.mniDelete)
			this.mnuSkolem.deleteSkolem();
		else if(e.getSource() == this.mnuSkolem.mniImport)
			this.mngSkolem.addPanelImport();
		else if(e.getSource() == this.mnuSkolem.mniExport)
			this.mngSkolem.addPanelExport();
		else if(e.getSource() == this.mnuSkolem.mniPrintSuperModel)
			this.mngSkolem.addPanelPrintSuperModel();
		else if(e.getSource() == this.mnuSkolem.mniExit)
			this.mngSkolem.close();
	}
}