/*
 * Action listener for PanelNewSkolem class 
 */
package org.modelgen.jpf.defineSkolem.newSkolem;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * @author  gabriele  Action listener for PanelNewSkolem class
 */
class ActionListenerPanelNewSkolem implements ActionListener {
	// Reference to the class to listen
	private PanelNewSkolem pnlNewSkolem;
	
	/**
	 * Constructor of the class
	 * @param pnlNewSkolem The reference to the class to listen
	 */
	protected ActionListenerPanelNewSkolem(PanelNewSkolem pnlNewSkolem) {
		super();
		this.pnlNewSkolem = pnlNewSkolem;
	}
	
	public void actionPerformed(ActionEvent arg0) {
		if(arg0.getSource() == this.pnlNewSkolem.btnArgumentOk) {
			this.pnlNewSkolem.addArgumentToFunction();
			this.pnlNewSkolem.addArgument();
		} else if(arg0.getSource() == this.pnlNewSkolem.btnArgumentReset)
			this.pnlNewSkolem.initializePanel();
		else if(arg0.getSource() == this.pnlNewSkolem.btnSaveFunction)
			this.pnlNewSkolem.saveFunction();
		else if(arg0.getSource() == this.pnlNewSkolem.btnClosePanel) 
			this.pnlNewSkolem.closePanel();
	}
}