/*
 * Item listener for PanelNewSkolem class 
 */
package org.modelgen.jpf.defineSkolem.newSkolem;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

/**
 * @author  gabriele  Item listener for PanelNewSkolem class
 */
class ItemListenerPanelNewSkolem implements ItemListener {
	// Reference to the class to listen
	private PanelNewSkolem pnlNewSkolem;
	
	/**
	 * Constructor of the class
	 * @param pnlNewSkolem The reference to the class to listen
	 */
	protected ItemListenerPanelNewSkolem(PanelNewSkolem pnlNewSkolem) {
		super();
		this.pnlNewSkolem = pnlNewSkolem;
	}
	
	public void itemStateChanged(ItemEvent e) {
		if(e.getSource() == this.pnlNewSkolem.cmbConstruct) {
			this.pnlNewSkolem.enableTxtFunction();
			this.pnlNewSkolem.notifyFilter();
			this.pnlNewSkolem.createNewSkolemFunction();
		}
	}
}