/*
 * Key listener for PanelNewSkolem class 
 */
package org.modelgen.jpf.defineSkolem.newSkolem;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

/**
 * @author  gabriele  Key listener for PanelNewSkolem class
 */
class KeyListenerPanelNewSkolem implements KeyListener {
	// Reference to the class to listen
	private PanelNewSkolem pnlNewSkolem;
	
	/**
	 * Constructor of the class
	 * @param pnlNewSkolem The reference to the class to listen
	 */
	protected KeyListenerPanelNewSkolem(PanelNewSkolem pnlNewSkolem) {
		super();
		this.pnlNewSkolem = pnlNewSkolem;
	}

	public void keyPressed(KeyEvent arg0) {
	}

	public void keyReleased(KeyEvent arg0) {
		if(arg0.getSource() == this.pnlNewSkolem.txtFunctionName) {
			this.pnlNewSkolem.checkFunctionName();
			this.pnlNewSkolem.notifyFilter();
			this.pnlNewSkolem.enableAddArgument();
		} else if(arg0.getSource() == this.pnlNewSkolem.txtArgumentName) {
			this.pnlNewSkolem.enableBtnArgumentOk();
			if(this.pnlNewSkolem.txtArgumentName.isEnabled() &&
					!this.pnlNewSkolem.txtArgumentName.getText().equals(""))
				this.pnlNewSkolem.checkArgument();
		}
	}

	public void keyTyped(KeyEvent arg0) {
	}
}