/*
 * Listener for popup menu 
 */
package org.modelgen.jpf.defineSkolem.table.popup;

import org.modelgen.jpf.defineSkolem.ManagementSkolemTool;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * @author  gabriele  Listener for popup menu
 */
class ActionListenerPopup implements ActionListener {
	// References to class to listen
	private PopupTable popSkolem;
	private ManagementSkolemTool mngSkolem;
	
	/**
	 * Class constructor
	 * @param popSkolem The references to the class to listen (popup)
	 * @param mngSkolem The main window
	 */
	public ActionListenerPopup(PopupTable popSkolem, ManagementSkolemTool mngSkolem) {
		super();
		this.popSkolem = popSkolem;
		this.mngSkolem = mngSkolem;
	}

	public void actionPerformed(ActionEvent e) {
		if(e.getSource() == this.popSkolem.btnDelete)
			this.popSkolem.deleteSkolemFunction();		
		else if(e.getSource() == this.popSkolem.btnInsert) 
			this.mngSkolem.addPanelNewSkolem();
	}
}