package org.modelgen.jpf.opgen.common;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
/**
 * represents a MsmProperty
 * @author luigi, francesca
 *
 */
@Entity
@Table(name="MSM_PROPERTY")
public class MsmProperty implements Serializable {
	@Id
	private int oid;

	private String name;

	private String type;

	@ManyToOne
	@JoinColumn(name="CONSTRUCTOID")
	private MsmConstruct constructoid;

	private static final long serialVersionUID = 1L;

	public MsmProperty() {
		super();
	}

	public int getOid() {
		return this.oid;
	}

	public void setOid(int oid) {
		this.oid = oid;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public MsmConstruct getConstructoid() {
		return this.constructoid;
	}

	public void setConstructoid(MsmConstruct constructoid) {
		this.constructoid = constructoid;
	}

}
