/*
 * Mouse listener for panel rules 
 */
package org.modelgen.jpf.signatureApplication.applicationView.action;

import org.modelgen.jpf.signatureApplication.applicationView.PanelRules;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

/**
 * @author kristina
 * Mouse listener for panel rules
 */
public class MouseListenerRules implements MouseListener {
	// References to class to listen
	private PanelRules pnlRules;
	
	/**
	 * Class constructor
	 * @param pnlRules The reference to the class to listen
	 */
	public MouseListenerRules(PanelRules pnlRules) {
		super();
		this.pnlRules = pnlRules;
	}
	

	public void mouseClicked(MouseEvent e) {	
		
			if(e.getSource() == this.pnlRules.getLstRules()) {
				if(e.getButton() == MouseEvent.BUTTON1 && e.getClickCount() == 2)
					this.pnlRules.viewMacroRuleEffect();
			} else if(e.getSource() == this.pnlRules.getLstUserRules()) {
				if(e.getButton() == MouseEvent.BUTTON1 && e.getClickCount() == 2) 
					this.pnlRules.deselectMacroRules();
			}
			 
	}

	public void mouseEntered(MouseEvent arg0) {
	}

	public void mouseExited(MouseEvent e) {
	}

	public void mouseReleased(MouseEvent arg0) {
	}


	public void mousePressed(MouseEvent arg0) {		
	}
}