package org.modelgen.jpf.signatureApplication.test;

import org.modelgen.signature.MacroRuleSignature;
import org.modelgen.signature.ModelSignature;
import org.modelgen.signature.application.macroruleapplication.SignatureApplicationUtility;

import java.util.Date;
import java.util.List;

public class TestGetMacroRegole {

	public static void main(String[] args) {
		
		Date t = new Date();
		System.out.println(t);
		
		List<MacroRuleSignature> regole = SignatureApplicationUtility.getInstance().getMacroRegole();
		
		t = new Date();
		System.out.println(t);
		
		System.out.println(regole.size());
		System.out.println();
		
		ModelSignature schema = init();
		System.out.println(schema);
		List<MacroRuleSignature> applicabili = SignatureApplicationUtility.getInstance().usefulMacroRules(regole, schema);
		System.out.println(applicabili.size());
	}
	
	/**
	 * Inizializza uno schema
	 */
	private static ModelSignature init(){
		//INIZIALIZZAZIONE DELLO SCHEMA
		//MODELLO ER SEMPLICE
		ModelSignature schema = ModelSignaturPredefinite.getModelErNoMtN();
		return schema;
		
	}

}
