package org.modelgen.jpf.signatureApplication.test;

import org.modelgen.commons.beans.model.Construct;
import org.modelgen.commons.beans.model.Model;
import org.modelgen.commons.beans.model.Reference;
import org.modelgen.commons.persistence.PersistenceException;
import org.modelgen.commons.persistence.database.CacheProxyDBHandler;
import org.modelgen.commons.persistence.database.RealDBHandler;

import java.sql.SQLException;

public class TestModelReference {
	
	public static void main(String[] args) throws ClassNotFoundException, SQLException, PersistenceException{
		
		RealDBHandler db = new RealDBHandler();
		CacheProxyDBHandler proxyHandler = new CacheProxyDBHandler(db);
		
		Model modello = proxyHandler.getModel(3);
		System.out.println("###Modello: "+modello.getName());
		
		//costrutti
		for(Construct c : modello.getAbstractConstructs()){
			System.out.println();
			System.out.println("##_Construct");
			System.out.println(c.getName());
			System.out.println("SM: "+c.getMetaInfo().getName());
		    
			//referenze
			for(Reference r: c.getReferences()){
				System.out.println();
				System.out.println("	##_Reference");
				System.out.println("	"+r.getName());
				System.out.println("	SM: "+r.getMetaInfo().getName());
			}
		}
	}

}
