package org.modelgen.jpf.visualizer.modelgenview.modelgen.adapters.imp;

import org.modelgen.commons.beans.model.Property;
import org.modelgen.jpf.visualizer.modelgenview.modelgen.adapters.AbstractProperty;

/**
 * Class <code>ConstructProperty</code> defines
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public class ConstructProperty extends AbstractProperty {
	private static final long serialVersionUID = 1L;
	private transient Property property;

    /** 
     * Creates a new <code>ConstructProperty</code>W
     */
    public ConstructProperty(ConstructAdapter construct, ConstructProperty parent, Property property) {
	super(construct, parent, property, property.getOID(), property.getName());
	this.property = property;
    }

    public void setName(String name) {
	this.property.setName(name);
    }

    public void setOID(int OID) {
	this.property.setOID(OID);
    }

    @Override
    public String getValue() {
	return null;
    }

    @Override
    public String getType() {
	return this.property.getType();
    }

}
