package org.modelgen.jpf.visualizer.modelgenview.modelgen.adapters.imp;

import org.modelgen.jpf.visualizer.modelgenview.modelgen.adapters.AbstractProperty;

/**
 * Class <code>InstanceProperty</code> defines
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public class InstanceProperty extends AbstractProperty {
	private static final long serialVersionUID = 1L;
	private transient String type, value;

    public InstanceProperty(AbstractProperty parent, int OID, String name, String type, String value) {
	super(null, parent, OID, name);
	this.type = type;
	this.value = value;
    }

    @Override
    public String getType() {
	return this.type;
    }

    @Override
    public String getValue() {
	return this.value;
    }

}
