package org.modelgen.jpf.visualizer.modelgenview.modelgen.adapters.imp;

import org.modelgen.commons.beans.scheme.SchemeObjectProperty;
import org.modelgen.jpf.visualizer.modelgenview.modelgen.adapters.AbstractProperty;

/**
 * Class <code>SchemeProperty</code> defines
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public class SchemeProperty extends AbstractProperty {
	private static final long serialVersionUID = 1L;
	private transient SchemeObjectProperty schemeProperty;

    /** 
     * Creates a new <code>SchemeProperty</code>
     */
    public SchemeProperty(SchemeObjectAdapter schemeObject, ConstructProperty parent, SchemeObjectProperty schemeProperty) {
	super(schemeObject, parent, schemeProperty, schemeProperty.getMetaInfo().getOID(), schemeProperty.getMetaInfo().getName());
	this.schemeProperty = schemeProperty;
    }

    @Override
    public String getType() {
	return this.schemeProperty.getMetaInfo().getType();
    }

    @Override
    public String getValue() {
	return this.schemeProperty.getValue();
    }
    
    

}
