package org.modelgen.jpf.visualizer.modelgenview.mvc.view.jgraph.vertexviews;

import java.awt.BasicStroke;
import java.awt.Stroke;

import org.jgraph.graph.CellViewRenderer;
import org.jgraph.graph.DefaultGraphCell;
import org.jgraph.graph.VertexRenderer;

/**
 * Class <code>DiamondView</code> defines
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public class DiamondDashedView extends DiamondView {
    private static final long serialVersionUID = 1L;
    public static transient VertexRenderer renderer = new JGraphDiamondRendererDashed();

    public DiamondDashedView(DefaultGraphCell cell) {
	super(cell);
    }
    

    public CellViewRenderer getRenderer() {
	return renderer;
    }
    
    public static class JGraphDiamondRendererDashed extends JGraphDiamondRenderer {
	private static final long serialVersionUID = 1L;
	
	JGraphDiamondRendererDashed() {
	    super();
	}

	@Override
	public Stroke getStroke(int borderWidth) {
	    return new BasicStroke(borderWidth,BasicStroke.CAP_BUTT,BasicStroke.JOIN_BEVEL,1F,new float[]{4,4},0);
	}
    }

}
