package org.modelgen.jpf.visualizer.modelgenview.tooltip;

import org.modelgen.jpf.visualizer.modelgenview.modelgen.adapters.AbstractConstruct;
import org.modelgen.jpf.visualizer.modelgenview.modelgen.adapters.AbstractProperty;
import org.modelgen.jpf.visualizer.modelgenview.modelgen.adapters.AbstractReference;
import org.modelgen.jpf.visualizer.modelgenview.modelgen.adapters.MultiDirectionAbstractStructure;
import org.modelgen.jpf.visualizer.util.HtmlString;

import java.util.Vector;

/**
 * Class <code>ToolTipFactory</code> defines
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public interface ToolTipFactory {

    public HtmlString createToolTip(MultiDirectionAbstractStructure info);

    public HtmlString createToolTip(AbstractConstruct info);
    
    public HtmlString createToolTip(AbstractConstruct target, Vector<AbstractConstruct> showPreview);

    public HtmlString createToolTip(AbstractReference info);

    public HtmlString createToolTip(AbstractProperty info);

}