package org.modelgen.jpf.visualizer.pac.top.debug;

import org.modelgen.jpf.visualizer.pac.top.DebugHandler;

import javax.swing.JComponent;

/**
 * La classe <code>AbstractColleague</code>
 * definisce il partecipante "Colleague" nel
 * pattern "Mediator"
 * 
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public abstract class AbstractColleague {
    
    protected DebugHandler mediator;
    protected JComponent view;

    public AbstractColleague(DebugHandler mediator) {
	this.mediator = mediator;
    }
    
    public JComponent getView() {
	return view;
    }

}
