package org.modelgen.jpf.visualizer.test;

import org.modelgen.jpf.visualizer.modelgenview.mvc.model.ModelComponent;
import org.modelgen.jpf.visualizer.modelgenview.mvc.view.jgraph.JGraphFacade;

import javax.swing.JComponent;
import javax.swing.JFrame;
import javax.swing.JScrollPane;

/**
 * Class <code>JGraphBasicTest</code> defines
 * 
 * @author Riccardo Pietrucci
 * @version 0.1
 */
public class GroupableJGraphBuilderTest {

    public static void main(String[] args) {
	JGraphFacade<ModelComponent> graphBuilder = new JGraphFacade<ModelComponent>();
	
	ModelComponent isolato1 = new ModelComponent("isolato1");
	graphBuilder.addVertex(isolato1, false);

	//ModelComponent ricibald = new ModelComponent("Ricibald");
	//ricibald.setTooltip(new HtmlString("Il piu' bello del mondo"));
	//graphBuilder.addVertex(ricibald);
	//ModelComponent emanuela = new ModelComponent("Emanuela");
	//graphBuilder.addVertex(emanuela);
	
	//ModelComponent isolato2 = new ModelComponent("isolato2");
	//graphBuilder.addVertex(isolato2, false);
	
	//ModelComponent isolato3 = new ModelComponent("isolato3");
	//graphBuilder.addVertex(isolato3, false);
	
	
	/* Gruppo Italia */
	//ModelComponent roma = new ModelComponent("Roma");
	//ModelComponent napoli = new ModelComponent("Napoli");
	//ModelComponent italia = new ModelComponent("Italia");
	//graphBuilder.groupLast(italia, new ModelComponent[] { roma, napoli });
	
	/* Gruppo Estero */
	//ModelComponent parigi = new ModelComponent("Parigi");
	//ModelComponent barcellona = new ModelComponent("Barcellona");
	//ModelComponent estero = new ModelComponent("Estero");
	//graphBuilder.groupLast(estero, new ModelComponent[] { parigi, barcellona });
	
	
	/* Gruppo Posti Visitati */
	//ModelComponent posti = new ModelComponent("Posti Visitati");
	//graphBuilder.groupLast(posti, new ModelComponent[] { italia, estero });
	
	/* Gruppo Passioni */
	//ModelComponent canto = new ModelComponent("Canto");
	//ModelComponent ballo = new ModelComponent("Ballo");
	//ModelComponent passioni = new ModelComponent("Passioni");
	//graphBuilder.addChildrenLast(passioni, canto);
	//graphBuilder.addChildrenLast(passioni, ballo);
	
	/* Elemento ungrouped */
	//ModelComponent ungrouped = new ModelComponent("Ungrouped");
	//graphBuilder.addVertex(ungrouped);
	
	/* Gruppo RicibaldWorld */
	//ModelComponent ricibaldWorld = new ModelComponent("RicibaldWorld");
	//graphBuilder.groupLast(ricibaldWorld, new ModelComponent[] { posti, passioni, ungrouped });
	
	/* Archi */
	//graphBuilder.addEdge(new ModelComponent("coppia"), ricibald, emanuela);
	//graphBuilder.addEdge("lavora a", ricibald, roma, "1..*", "1");
	//graphBuilder.addEdge(new ModelComponent("vive a"), ricibald, roma);
	//graphBuilder.addEdge(new ModelComponent("vive a2"), emanuela, roma);
	//graphBuilder.addEdge("viaggio a", ricibald, parigi, "1", "1..*");
	//graphBuilder.addEdge("viaggio a", emanuela, parigi, "1", "1..*");
	//graphBuilder.addEdge("viaggio a", ricibald, barcellona, "1", "1..*");
	//graphBuilder.addEdge(new ModelComponent("ungroupedEdge"), ricibald, ungrouped);
	//graphBuilder.addEdge(new ModelComponent("possiede"), ricibald, ricibaldWorld);
	//graphBuilder.addEdge(new ModelComponent("ungroupedEdge"), emanuela, ungrouped);
	//graphBuilder.addEdge(new ModelComponent("prova parallela"), ricibald, posti);
	//graphBuilder.addEdge(new ModelComponent("prova parallela 2"), ricibald, estero);
	
	/* Ooops! Voglio inserire ora, all'ultimo, un gruppo.
	 * Sono quindi costretto ad inserire dinamicamente
	 * le relazioni padre-figlio */
	//graphBuilder.addChildrenLast(ricibald, emanuela);
	
	
	/* Fine composizione grafo. Restituisci il risultato */
	JComponent view = graphBuilder.getJGraph(null);
	

	JFrame frame = new JFrame();
	frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	frame.getContentPane().add(new JScrollPane(view));
	frame.pack();
	frame.setVisible(true);
    }

}