/*
 * Created on 11-dic-2003
 *
 */
package org.modelgen.applyrule;

import java.util.LinkedList;

/**
 * BlockOfRules recursively composes SimpleRule or BlockOfRules.
 * 
 * @author Luca
 *
 */
public class BlockOfRules implements Rule {

	private LinkedList<Rule> items = new LinkedList<Rule>();

	/**
	 * @return the rules of this BlockOfRule object
	 */
	public LinkedList<Rule> getItems() {
		return items;
	}

	/**
	 * Adds the given Rule rule to this BlockOfRule object.
	 * @param rule
	 */
	public void addRule(Rule rule) {
		items.add(rule);
	}

}
