package org.modelgen.commons.persistence.xml.jaxb.model.impl;

public class ModelPropertyTypeHandler extends org.apache.ws.jaxme.impl.JMHandlerImpl {
  /** The current level of nested elements. 0, if outside the root element.
   * 
   */
  private int __level;

  /** The current state. The following values are valid states:
   *  0 = Before parsing the element
   *  1 = Parsing an unknown element
   *  2 = After parsing the element
   *  3 = While parsing the child element mappingToProperty
   * 
   */
  private int __state;

  /** The current handler for parsing child elements or simple content.
   * 
   */
  private org.apache.ws.jaxme.JMHandler __handler;

  private org.apache.ws.jaxme.JMHandler __handler_MappingToProperty;


  public void startDocument() throws org.xml.sax.SAXException {
    __level = 0;
    __state = 0;
    __state = 0;
    __handler = null;
  }

  public void addAttribute(java.lang.String pURI, java.lang.String pLocalName, java.lang.String pValue) throws org.xml.sax.SAXException {
    if (pURI == null) {
      pURI = "";
    }
    org.modelgen.commons.persistence.xml.jaxb.model.ModelPropertyType _1 = (org.modelgen.commons.persistence.xml.jaxb.model.ModelPropertyType) getResult();
    if ("".equals(pURI)) {
      if ("name".equals(pLocalName)) {
        _1.setName(pValue);
        return;
      } else if ("belongingTo".equals(pLocalName)) {
        _1.setBelongingTo(pValue);
        return;
      } else if ("type".equals(pLocalName)) {
        _1.setType(pValue);
        return;
      }
    }
    super.addAttribute(pURI, pLocalName, pValue);
  }

  protected org.modelgen.commons.persistence.xml.jaxb.model.ModelPropertyType newResult() throws org.xml.sax.SAXException {
    try {
      return (org.modelgen.commons.persistence.xml.jaxb.model.ModelPropertyType) getData().getFactory().getElement(org.modelgen.commons.persistence.xml.jaxb.model.ModelPropertyType.class);
    } catch (javax.xml.bind.JAXBException _1) {
      throw new org.xml.sax.SAXException(_1);
    }
  }

  public void startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
    switch (__level++) {
      case 0:
        setResult(newResult());
        if (pAttr != null) {
          for (int _1 = 0;  _1 < pAttr.getLength();  _1++) {
            addAttribute(pAttr.getURI(_1), pAttr.getLocalName(_1), pAttr.getValue(_1));
          }
        }
        break;
      case 1:
        if (pNamespaceURI == null  ||  pNamespaceURI.length() == 0) {
          if ("mappingToProperty".equals(pLocalName)) {
            switch (__state) {
              case 0:
                __state = 3;
                __handler = getHandlerForMappingToProperty();
                __handler.startDocument();
                __handler.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
                break;
              default:
                super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
                break;
            }
          } else {
            super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
          }
        } else {
          super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
        }
        break;
      default:
        if (__handler == null) {
          super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
        } else {
          __handler.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
        }
    }
  }

  public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName) throws org.xml.sax.SAXException {
    if (__handler == null) {
      if (__level > 1) {
        super.endElement(pNamespaceURI, pLocalName, pQName);
      }
    } else {
      __handler.endElement(pNamespaceURI, pLocalName, pQName);
    }
    switch (--__level) {
      case 0:
        break;
      case 1:
        org.modelgen.commons.persistence.xml.jaxb.model.ModelPropertyType _1 = (org.modelgen.commons.persistence.xml.jaxb.model.ModelPropertyType) getResult();
        switch (__state) {
          case 3:
            if (__handler != null) {
              __handler.endDocument();
            }
            _1.setMappingToProperty(((org.modelgen.commons.persistence.xml.jaxb.model.BasicPropertyType) __handler.getResult()));
            break;
          default:
            throw new java.lang.IllegalStateException("Illegal state: " + __state);
        }
    }
  }

  public void characters(char[] pChars, int pOffset, int pLen) throws org.xml.sax.SAXException {
    if (__handler == null) {
      super.characters(pChars, pOffset, pLen);
    } else {
      __handler.characters(pChars, pOffset, pLen);
    }
  }

  public void init(org.apache.ws.jaxme.JMHandler.Data pData) throws javax.xml.bind.JAXBException {
    super.init(pData);
    if (__handler_MappingToProperty != null) {
      __handler_MappingToProperty.init(pData);
    }
  }

  protected org.apache.ws.jaxme.JMHandler getHandlerForMappingToProperty() throws org.xml.sax.SAXException {
    if (__handler_MappingToProperty == null) {
      try {
        __handler_MappingToProperty = getData().getFactory().getJMHandler(org.modelgen.commons.persistence.xml.jaxb.model.BasicPropertyType.class);
        __handler_MappingToProperty.init(getData());
      } catch (javax.xml.bind.JAXBException _1) {
        throw new org.xml.sax.SAXException(_1);
      }
    }
    return __handler_MappingToProperty;
  }

}
