package org.modelgen.commons.persistence.xml.jaxb.nestedmodel.impl;

import org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ConstructType;

public class ConstructsTypeHandler extends org.apache.ws.jaxme.impl.JMHandlerImpl {
  /** The current level of nested elements. 0, if outside the root element.
   * 
   */
  private int __level;

  /** The current state. The following values are valid states:
   *  0 = Before parsing the element
   *  1 = Parsing an unknown element
   *  2 = After parsing the element
   *  3 = While parsing the child element construct
   * 
   */
  private int __state;

  /** The current handler for parsing child elements or simple content.
   * 
   */
  private org.apache.ws.jaxme.JMHandler __handler;

  private org.apache.ws.jaxme.JMHandler __handler_Construct;


  public void startDocument() throws org.xml.sax.SAXException {
    __level = 0;
    __state = 0;
    __state = 0;
    __handler = null;
  }

  protected org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ConstructsType newResult() throws org.xml.sax.SAXException {
    try {
      return (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ConstructsType) getData().getFactory().getElement(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ConstructsType.class);
    } catch (javax.xml.bind.JAXBException _1) {
      throw new org.xml.sax.SAXException(_1);
    }
  }

  public void startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
    switch (__level++) {
      case 0:
        setResult(newResult());
        if (pAttr != null) {
          for (int _1 = 0;  _1 < pAttr.getLength();  _1++) {
            super.addAttribute(pAttr.getURI(_1), pAttr.getLocalName(_1), pAttr.getValue(_1));
          }
        }
        break;
      case 1:
        if (pNamespaceURI == null  ||  pNamespaceURI.length() == 0) {
          if ("construct".equals(pLocalName)) {
            switch (__state) {
              case 0:
              case 3:
                __state = 3;
                __handler = getHandlerForConstruct();
                __handler.startDocument();
                __handler.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
                break;
              default:
                super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
                break;
            }
          } else {
            super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
          }
        } else {
          super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
        }
        break;
      default:
        if (__handler == null) {
          super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
        } else {
          __handler.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
        }
    }
  }

  public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName) throws org.xml.sax.SAXException {
    if (__handler == null) {
      if (__level > 1) {
        super.endElement(pNamespaceURI, pLocalName, pQName);
      }
    } else {
      __handler.endElement(pNamespaceURI, pLocalName, pQName);
    }
    switch (--__level) {
      case 0:
        break;
      case 1:
        org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ConstructsType _1 = (org.modelgen.commons.persistence.xml.jaxb.nestedmodel.ConstructsType) getResult();
        switch (__state) {
          case 3:
            if (__handler != null) {
              __handler.endDocument();
            }
            _1.getConstruct().add((ConstructType) __handler.getResult());
            break;
          default:
            throw new java.lang.IllegalStateException("Illegal state: " + __state);
        }
    }
  }

  public void characters(char[] pChars, int pOffset, int pLen) throws org.xml.sax.SAXException {
    if (__handler == null) {
      super.characters(pChars, pOffset, pLen);
    } else {
      __handler.characters(pChars, pOffset, pLen);
    }
  }

  public void init(org.apache.ws.jaxme.JMHandler.Data pData) throws javax.xml.bind.JAXBException {
    super.init(pData);
    if (__handler_Construct != null) {
      __handler_Construct.init(pData);
    }
  }

  protected org.apache.ws.jaxme.JMHandler getHandlerForConstruct() throws org.xml.sax.SAXException {
    if (__handler_Construct == null) {
      try {
        __handler_Construct = getData().getFactory().getJMHandler(org.modelgen.commons.persistence.xml.jaxb.nestedmodel.Construct.class);
        __handler_Construct.init(getData());
      } catch (javax.xml.bind.JAXBException _1) {
        throw new org.xml.sax.SAXException(_1);
      }
    }
    return __handler_Construct;
  }

}
