package org.modelgen.commons.persistence.xml.jaxb.scheme.impl;

public class SchemeObjectTypeHandler extends org.apache.ws.jaxme.impl.JMHandlerImpl {
  public static class PropertiesTypeHandler extends org.apache.ws.jaxme.impl.JMHandlerImpl {
    /** The current level of nested elements. 0, if outside the root element.
     * 
     */
    private int __level;
  
    /** The current state. The following values are valid states:
     *  0 = Before parsing the element
     *  1 = Parsing an unknown element
     *  2 = After parsing the element
     *  3 = While parsing the child element property
     * 
     */
    private int __state;
  
    /** The current handler for parsing child elements or simple content.
     * 
     */
    private org.apache.ws.jaxme.JMHandler __handler;
  
    private org.apache.ws.jaxme.JMHandler __handler_Property;
  
  
    public void startDocument() throws org.xml.sax.SAXException {
      __level = 0;
      __state = 0;
      __state = 0;
      __handler = null;
    }
  
    protected org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType.PropertiesType newResult() {
      return new org.modelgen.commons.persistence.xml.jaxb.scheme.impl.SchemeObjectTypeImpl.PropertiesTypeImpl();
    }
  
    public void startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
      switch (__level++) {
        case 0:
          setResult(newResult());
          if (pAttr != null) {
            for (int _1 = 0;  _1 < pAttr.getLength();  _1++) {
              super.addAttribute(pAttr.getURI(_1), pAttr.getLocalName(_1), pAttr.getValue(_1));
            }
          }
          break;
        case 1:
          if (pNamespaceURI == null  ||  pNamespaceURI.length() == 0) {
            if ("property".equals(pLocalName)) {
              switch (__state) {
                case 0:
                case 3:
                  __state = 3;
                  __handler = getHandlerForProperty();
                  __handler.startDocument();
                  __handler.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
                  break;
                default:
                  super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
                  break;
              }
            } else {
              super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
            }
          } else {
            super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
          }
          break;
        default:
          if (__handler == null) {
            super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
          } else {
            __handler.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
          }
      }
    }
  
    public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName) throws org.xml.sax.SAXException {
      if (__handler == null) {
        if (__level > 1) {
          super.endElement(pNamespaceURI, pLocalName, pQName);
        }
      } else {
        __handler.endElement(pNamespaceURI, pLocalName, pQName);
      }
      switch (--__level) {
        case 0:
          break;
        case 1:
          org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType.PropertiesType _1 = (org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType.PropertiesType) getResult();
          switch (__state) {
            case 3:
              if (__handler != null) {
                __handler.endDocument();
              }
              _1.getProperty().add(__handler.getResult());
              break;
            default:
              throw new java.lang.IllegalStateException("Illegal state: " + __state);
          }
      }
    }
  
    public void characters(char[] pChars, int pOffset, int pLen) throws org.xml.sax.SAXException {
      if (__handler == null) {
        super.characters(pChars, pOffset, pLen);
      } else {
        __handler.characters(pChars, pOffset, pLen);
      }
    }
  
    public void init(org.apache.ws.jaxme.JMHandler.Data pData) throws javax.xml.bind.JAXBException {
      super.init(pData);
      if (__handler_Property != null) {
        __handler_Property.init(pData);
      }
    }
  
    protected org.apache.ws.jaxme.JMHandler getHandlerForProperty() throws org.xml.sax.SAXException {
      if (__handler_Property == null) {
        try {
          __handler_Property = getData().getFactory().getJMHandler(org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectPropertyType.class);
          __handler_Property.init(getData());
        } catch (javax.xml.bind.JAXBException _1) {
          throw new org.xml.sax.SAXException(_1);
        }
      }
      return __handler_Property;
    }
  
  }

  public static class ReferencesTypeHandler extends org.apache.ws.jaxme.impl.JMHandlerImpl {
    /** The current level of nested elements. 0, if outside the root element.
     * 
     */
    private int __level;
  
    /** The current state. The following values are valid states:
     *  0 = Before parsing the element
     *  1 = Parsing an unknown element
     *  2 = After parsing the element
     *  3 = While parsing the child element reference
     * 
     */
    private int __state;
  
    /** The current handler for parsing child elements or simple content.
     * 
     */
    private org.apache.ws.jaxme.JMHandler __handler;
  
    private org.apache.ws.jaxme.JMHandler __handler_Reference;
  
  
    public void startDocument() throws org.xml.sax.SAXException {
      __level = 0;
      __state = 0;
      __state = 0;
      __handler = null;
    }
  
    protected org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType.ReferencesType newResult() {
      return new org.modelgen.commons.persistence.xml.jaxb.scheme.impl.SchemeObjectTypeImpl.ReferencesTypeImpl();
    }
  
    public void startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
      switch (__level++) {
        case 0:
          setResult(newResult());
          if (pAttr != null) {
            for (int _1 = 0;  _1 < pAttr.getLength();  _1++) {
              super.addAttribute(pAttr.getURI(_1), pAttr.getLocalName(_1), pAttr.getValue(_1));
            }
          }
          break;
        case 1:
          if (pNamespaceURI == null  ||  pNamespaceURI.length() == 0) {
            if ("reference".equals(pLocalName)) {
              switch (__state) {
                case 0:
                case 3:
                  __state = 3;
                  __handler = getHandlerForReference();
                  __handler.startDocument();
                  __handler.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
                  break;
                default:
                  super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
                  break;
              }
            } else {
              super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
            }
          } else {
            super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
          }
          break;
        default:
          if (__handler == null) {
            super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
          } else {
            __handler.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
          }
      }
    }
  
    public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName) throws org.xml.sax.SAXException {
      if (__handler == null) {
        if (__level > 1) {
          super.endElement(pNamespaceURI, pLocalName, pQName);
        }
      } else {
        __handler.endElement(pNamespaceURI, pLocalName, pQName);
      }
      switch (--__level) {
        case 0:
          break;
        case 1:
          org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType.ReferencesType _1 = (org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType.ReferencesType) getResult();
          switch (__state) {
            case 3:
              if (__handler != null) {
                __handler.endDocument();
              }
              _1.getReference().add(__handler.getResult());
              break;
            default:
              throw new java.lang.IllegalStateException("Illegal state: " + __state);
          }
      }
    }
  
    public void characters(char[] pChars, int pOffset, int pLen) throws org.xml.sax.SAXException {
      if (__handler == null) {
        super.characters(pChars, pOffset, pLen);
      } else {
        __handler.characters(pChars, pOffset, pLen);
      }
    }
  
    public void init(org.apache.ws.jaxme.JMHandler.Data pData) throws javax.xml.bind.JAXBException {
      super.init(pData);
      if (__handler_Reference != null) {
        __handler_Reference.init(pData);
      }
    }
  
    protected org.apache.ws.jaxme.JMHandler getHandlerForReference() throws org.xml.sax.SAXException {
      if (__handler_Reference == null) {
        try {
          __handler_Reference = getData().getFactory().getJMHandler(org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectReferenceType.class);
          __handler_Reference.init(getData());
        } catch (javax.xml.bind.JAXBException _1) {
          throw new org.xml.sax.SAXException(_1);
        }
      }
      return __handler_Reference;
    }
  
  }

  /** The current level of nested elements. 0, if outside the root element.
   * 
   */
  private int __level;

  /** The current state. The following values are valid states:
   *  0 = Before parsing the element
   *  1 = Parsing an unknown element
   *  2 = After parsing the element
   *  3 = While parsing the child element properties
   *  4 = While parsing the child element references
   * 
   */
  private int __state;

  /** The current handler for parsing child elements or simple content.
   * 
   */
  private org.apache.ws.jaxme.JMHandler __handler;

  private org.apache.ws.jaxme.JMHandler __handler_Properties;

  private org.apache.ws.jaxme.JMHandler __handler_References;


  public void startDocument() throws org.xml.sax.SAXException {
    __level = 0;
    __state = 0;
    __state = 0;
    __handler = null;
  }

  public void addAttribute(java.lang.String pURI, java.lang.String pLocalName, java.lang.String pValue) throws org.xml.sax.SAXException {
    if (pURI == null) {
      pURI = "";
    }
    org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType _1 = (org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType) getResult();
    if ("".equals(pURI)) {
      if ("key".equals(pLocalName)) {
        _1.setKey(pValue);
        return;
      } else if ("construct".equals(pLocalName)) {
        _1.setConstruct(pValue);
        return;
      } else if ("name".equals(pLocalName)) {
        _1.setName(pValue);
        return;
      }
    }
    super.addAttribute(pURI, pLocalName, pValue);
  }

  protected org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType newResult() throws org.xml.sax.SAXException {
    try {
      return (org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType) getData().getFactory().getElement(org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType.class);
    } catch (javax.xml.bind.JAXBException _1) {
      throw new org.xml.sax.SAXException(_1);
    }
  }

  public void startElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttr) throws org.xml.sax.SAXException {
    switch (__level++) {
      case 0:
        setResult(newResult());
        if (pAttr != null) {
          for (int _1 = 0;  _1 < pAttr.getLength();  _1++) {
            addAttribute(pAttr.getURI(_1), pAttr.getLocalName(_1), pAttr.getValue(_1));
          }
        }
        break;
      case 1:
        if (pNamespaceURI == null  ||  pNamespaceURI.length() == 0) {
          if ("properties".equals(pLocalName)) {
            switch (__state) {
              case 0:
                __state = 3;
                __handler = getHandlerForProperties();
                __handler.startDocument();
                __handler.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
                break;
              default:
                super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
                break;
            }
          } else if ("references".equals(pLocalName)) {
            switch (__state) {
              case 0:
              case 3:
                __state = 4;
                __handler = getHandlerForReferences();
                __handler.startDocument();
                __handler.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
                break;
              default:
                super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
                break;
            }
          } else {
            super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
          }
        } else {
          super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
        }
        break;
      default:
        if (__handler == null) {
          super.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
        } else {
          __handler.startElement(pNamespaceURI, pLocalName, pQName, pAttr);
        }
    }
  }

  public void endElement(java.lang.String pNamespaceURI, java.lang.String pLocalName, java.lang.String pQName) throws org.xml.sax.SAXException {
    if (__handler == null) {
      if (__level > 1) {
        super.endElement(pNamespaceURI, pLocalName, pQName);
      }
    } else {
      __handler.endElement(pNamespaceURI, pLocalName, pQName);
    }
    switch (--__level) {
      case 0:
        break;
      case 1:
        org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType _1 = (org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType) getResult();
        switch (__state) {
          case 3:
            if (__handler != null) {
              __handler.endDocument();
            }
            _1.setProperties(((org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType.PropertiesType) __handler.getResult()));
            break;
          case 4:
            if (__handler != null) {
              __handler.endDocument();
            }
            _1.setReferences(((org.modelgen.commons.persistence.xml.jaxb.scheme.SchemeObjectType.ReferencesType) __handler.getResult()));
            break;
          default:
            throw new java.lang.IllegalStateException("Illegal state: " + __state);
        }
    }
  }

  public void characters(char[] pChars, int pOffset, int pLen) throws org.xml.sax.SAXException {
    if (__handler == null) {
      super.characters(pChars, pOffset, pLen);
    } else {
      __handler.characters(pChars, pOffset, pLen);
    }
  }

  public void init(org.apache.ws.jaxme.JMHandler.Data pData) throws javax.xml.bind.JAXBException {
    super.init(pData);
    if (__handler_Properties != null) {
      __handler_Properties.init(pData);
    }
    if (__handler_References != null) {
      __handler_References.init(pData);
    }
  }

  protected org.apache.ws.jaxme.JMHandler getHandlerForProperties() throws org.xml.sax.SAXException {
    if (__handler_Properties == null) {
      try {
        __handler_Properties = new org.modelgen.commons.persistence.xml.jaxb.scheme.impl.SchemeObjectTypeHandler.PropertiesTypeHandler();
        __handler_Properties.init(getData());
      } catch (javax.xml.bind.JAXBException _1) {
        throw new org.xml.sax.SAXException(_1);
      }
    }
    return __handler_Properties;
  }

  protected org.apache.ws.jaxme.JMHandler getHandlerForReferences() throws org.xml.sax.SAXException {
    if (__handler_References == null) {
      try {
        __handler_References = new org.modelgen.commons.persistence.xml.jaxb.scheme.impl.SchemeObjectTypeHandler.ReferencesTypeHandler();
        __handler_References.init(getData());
      } catch (javax.xml.bind.JAXBException _1) {
        throw new org.xml.sax.SAXException(_1);
      }
    }
    return __handler_References;
  }

}
