package org.modelgen.polyhandler;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JComboBox;

public class PolyGUIlistener implements ActionListener {
	
	private JComboBox combo1;
	private JComboBox combo2;
	
	public PolyGUIlistener(JComboBox c1, JComboBox c2) {
		this.combo1 = c1;
		this.combo2 = c2;
	}
	
	public void actionPerformed(ActionEvent e) {
		String modelXML = (String)combo1.getSelectedItem();
		String macroRule = (String)combo2.getSelectedItem();
		
		String model = modelXML.substring(0,modelXML.length()-4);
		System.out.println(model);
		
		PolyHandlerMain phm = new PolyHandlerMain(model); 
			//PolyHandlerMain.getInstance(model);
		phm.polyHandlerMainRoutine(macroRule);
		
	}
}