/*
 * Created on 19-mag-2005
 *
 */
package org.modelgen.regole;
import org.modelgen.regole.utilities.CollectionFormatter;
import org.modelgen.regole.utilities.VarGenerator;

import java.util.List;
import java.util.Map;
import java.util.Set;


/**
 * Rappresenta una clausola SELECT del tipo varX.colonna
 * @author luigi, francesca
 * 
 */
public class CondizioneSelectSemplice implements CondizioneSelect {
	private String clausola;
	
	public CondizioneSelectSemplice(String clausola){
		this.clausola =  clausola;
	}	
	
	public void setClausola(String c) {
		this.clausola = c;
	}
	
	public String getClausola() {
		return this.clausola;
	}
	
	public CondizioneSelect getTradotto(Map<String,Tabella> tabelle, Map<String,Tabella> tabelle1, Set<Condizione> where,Set<Condizione> where1, VarGenerator vg, List<Regola> regole, CondizioneNotExist cne, String colonnaRiferimento){
		return this; // la condizione semplice risolta  uguale a se stessa
	}
	
	public String toString() {
		return CollectionFormatter.getInstance().mettiSeparatoreDopoPunto(clausola);
	}
	
	

}
