package org.modelgen.regole.Exception;

/**
 * Rappresenta la condizione di indecidibilit che si verifica nella generazione
 * di una regola di istanza quando nella regola a livello di schema sono presenti
 * due o pi letterali lessicali.
 * @author luigi, francesca
 *
 */
public class InstanceMultipleLexicalException extends
		InstanceTranslationException {
	private static final long serialVersionUID = 1L;

	public InstanceMultipleLexicalException() {
		super("Presenza di pi letterali lessicali nel corpo della regola Datalog a livello di schema");
	}
	
	

}
