/*
 * Created on 3-giu-2005
 *
 */
package org.modelgen.regole.Exception;

/**
 * Eccezione che rappresenta un errore nella 
 * traduzione di un letterale da Datalog a SQLA. E' lanciata
 * da Regola che sa se il letterale corrente  di testa o meno.
 * @author luigi, francesca
 *
 */
public class LiteralTranslationException extends ATranslationException {
	private static final long serialVersionUID = 1L;

	public LiteralTranslationException(String a) {
		super(a);
	}
	
	public LiteralTranslationException() {
		super();
	}
	
	/**
	 * 
	 * @param ex un'eccezione di livello inferiore
	 * @param isInTesta se l'errore di traduzione avviene per il letterale testa
	 */
	public LiteralTranslationException(IncompleteLiteralConditionsException ex, boolean isInTesta) {
		
		super("Errore nella traduzione " + (isInTesta ? "della testa. " : "del corpo. ") + ex.getMessage());
			
	}
	
	

}
