/*
 * Created on 3-giu-2005
 *
 */
package org.modelgen.regole.Exception;

/**
 * 
 * Eccezione generata quando si tenta la 
 * traduzione di un funtore che contiene un numero di
 * argomenti sovrabbondante rispetto a quelli della
 * corrispondente funzione
 * @author luigi, francesca
 *
 */
public class TooManyFunctorArgumentsException extends BTranslationException {
	private static final long serialVersionUID = 1L;

	public TooManyFunctorArgumentsException() {
		super();
	}
	
	public TooManyFunctorArgumentsException(String nomeFuntore) {
		super("Errore nella traduzione del funtore. Argomenti sovrabbondanti in "+nomeFuntore);
	}

}
