/*
 * Created on 19-mag-2005
 *
 */
package org.modelgen.regole;

import java.util.HashSet;
import java.util.Set;

import junit.framework.TestCase;



/**
 * 
 * Per testare l'uguaglianza di condizioni semplici
 * @author luigi, francesca
 *
 */
class TestCondizioneSemplice extends TestCase {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(TestCondizioneSemplice.class);
	}

	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/**
	 * Constructor for TestCondizioneSemplice.
	 * @param arg0
	 */
	public TestCondizioneSemplice(String arg0) {
		super(arg0);
	}

	/*
	 * Class under test for boolean equals(Object)
	 */
	public void testEqualsObject() {
		CondizioneSemplice c1 = new CondizioneSemplice("var1.ciao", "var2.ciao", "=");
		CondizioneSemplice c2 = new CondizioneSemplice("var1.ciao", "var2.ciao", "=");
		CondizioneSemplice c3 = new CondizioneSemplice("var1.ciao", "var2.ciao", ">");
		CondizioneSemplice c4 = new CondizioneSemplice("var2.ciao", "var1.ciao", "=");
		CondizioneSemplice c5 = new CondizioneSemplice("var2.ciao", "var3.ciao", "=");
		assertTrue(c1.equals(c2));
		
		assertFalse(c3.equals(c2));
		assertTrue(c4.equals(c1));
		
		assertFalse(c5.equals(c1));
		
		
		/* inserimenti senza duplicati */
		Set<CondizioneSemplice> s = new HashSet<CondizioneSemplice>();
		assertTrue(s.add(c1));
		assertFalse(s.add(c2));
		assertTrue(s.add(c3));
		assertFalse(s.add(c4));
		assertTrue(s.add(c5));
		
		
		
		
		
		
		
		}

}
