/*
 * Created on 19-mag-2005
 *
 */
package org.modelgen.regole.utilities;

/**
 * Crea gli opportuni identificatori varX per le tabelle 
 * @author luigi, francesca
 * 
 * 
 */
public final class VarGenerator {
	private int x; // la prossima variabile libera
	private int y; // il prossimo id libero
	private int z; // la prossima newVar
	private String VAR;// costante per le variabili di ridenominazione
	private String ID; // identificatore per il letterale
	private String NEWVAR; // costanti per le variabili di tabelle Skolem
	
	public VarGenerator() {
		this.VAR = "var";
		this.x = 1;	
		this.y = 1;
		this.ID = "ID";
		this.NEWVAR = "newVar";
		this.z = 1;
	}
	
	/**
	 * 
	 * @return l'identificatore corrispondente ad una tabella
	 */
	public String getVar() {
		String risultato = VAR + x;
		x++;
		return risultato;
	}
	
	public String getNewVar(){
		String risultato = NEWVAR + z;
		z++;
		return risultato;
	}
	
	/**
	 * 
	 * @return l'ID per un letterale in una Regola
	 */
	public String getID() {
		String risultato = ID + y;
		y++;
		return risultato;
	}

}
