package org.modelgen.signature.test;

import org.modelgen.facade.GeneralManagementFacade;
import org.modelgen.signature.MacroRuleSignature;
import org.modelgen.signature.MacroRuleSignatureComparator;

public class MacroRuleSignatureComparatorTest {

	//macroregole da confrontare
	private static MacroRuleSignature p1;
	private static MacroRuleSignature p2;
	
	public static void init(){
		p1 = GeneralManagementFacade.getInstance().getMacroRegolaByfileName("20.00.ER2OO.txt");
		p2 = GeneralManagementFacade.getInstance().getMacroRegolaByfileName("21.00.ER2Rel.txt");
	}
	
	public static void init2(){
		p1 = GeneralManagementFacade.getInstance().getMacroRegolaByfileName("20.00.ER2OO.txt");
		p2 = GeneralManagementFacade.getInstance().getMacroRegolaByfileName("20.00.ER2OO.txt");
	}
	
	public static void main(String[] args) {
		init();
		System.out.println("---------------------------");
		System.out.println("------ HEADS P1 -----------");
		System.out.println(p1.getUnionHeads());
		System.out.println("------ BODIES P2 ----------");
		System.out.println(p2.getUnionBodies());
		System.out.println("---------------------------");
		
		MacroRuleSignatureComparator cmp = new MacroRuleSignatureComparator();
		System.out.println("-1 "+cmp.compare(p1, p2));
		
		init2();
		System.out.println("---------------------------");
		System.out.println("------ HEADS P1 -----------");
		System.out.println(p1.getUnionHeads());
		System.out.println("------ BODIES P2 ----------");
		System.out.println(p2.getUnionBodies());
		System.out.println("---------------------------");
		
		System.out.println("0 "+cmp.compare(p1, p2));
	}

}
